Overview

Music Library - Manage your music collection has never been so easy!

Music Library is a program can help you manage and organize you music collections such as MP3s, audio CDs or tapes, etc. Music library is not just another playlister. It's actually multiple programs in one. For MP3s, it's a mp3 file explorer, a mass rename utility, a mass ID3 tag editor, an audio CD composer, a Winamp front end, a playlist maker, a cover image viewer and a professional report creator. You will find it has almost all features in other popular programs. That's not all, Music Library allows you to catalog any other music collection you have, such as audio CDs, tapes. Music Library is a CDDB-Enabled software, you can download CD in formation such as artist, title, album, track from their huge database. There is even more. Music Library comes with a cool stand alone CD Player! Associate it with you database, insert a disc, it will detect and display what you are listening to automatically!

Track every single piece of music you have with one database! With it's powerful features, manage your music collection has never been easier.


Features

Music Library Features

(Please note these are only a fraction of the features that Music Library offers, you just have to try it to find out more!)

Database and Interface Features

  • Manage ALL your music with one database! - Music Library is the only full-featured MP3 and CD collection manager on the market. It can catalog any file or media formats, such as MP3s or audio CDs, cassettes, vinyl... Whether you are a MP3 collector or a serious record collector or maybe both, you will find Music Library an indispensable tool. It's perfect for large collections.

  • MS Access database format - It's the most popular database format. Offers you an alternative way to edit your database.

  • User-friendly Explorer-style interface - Music Library displays file folders just like the explorer, except it only shows the folders that contain MP3 files (so you don't have to click through all those empty folders like other programs). CDRs are displayed as individual discs under your CD drive letter, the folder structures are preserved exactly as they are on the CD. You can also sort and view entries by albums, artists, year and genres in any combination. It also allows you to create your own sort and select only the columns you want to display.

  • Powerful search functions - " Quick search" allows you to search a single field without opening the search window. "Simple search" allows you to search multiple fields with multiple keywords or any criteria. "Global search" allows you to search both MP3 and record collections. "Advanced search" can help you to create and save complex queries. SQL allows you to search literally anything!

  • Extensive classical music collection support - Music Library offers many classical fields in audio database, such as composer, conductor, orchestras. Of cause you can sort by these fields also.

  • Flexible playlist generator - Creates playlists for MP3s or audio tracks.

  • Database Export - Music Library can export your database to Excel and ASCII text files.

  • Database Import - Music Library can import various database formats, MP3 or audio.

Features Only Music Library Offers

  • Text-based CDDB search! - Have a lot of MP3s without album titles and track numbers? Got a lot of records not in CD format? Music Library offers you an unique feature - "CDDB Lookup". You can get ID3 tag and album information typing-free without the CDs! Did we mention it can rename the files automatically after you tagged the files?

  • Web search functions - With the web search function, you can get cover images and album information from several popular websites on the internet, such as Amarzon.com , CDNow.com , mp3.lycos.com and windowsmedia.com . All you need to do is click "Search" then click "Go".

  • Smart file management! - Tired of creating folders and moving files manually? Try the "Move to Designated Folder" feature! It can automatically move hundreds of files to their designated folders base on ID3 tags. What if the folders don't exist? It creates the folders using the ID3 tags with a format you selected. All you need to do is select a parent folder...

  • One-click update - Why click through each folder to find your MP3s? Let the program find them for you. Music Library can scan all your hard drives and network drives with a mouse click. It creates an instant "MP3 image" - your database.

  • An unique way to catalog CDRs - All CDRs go under the CD drive as individual discs with distinctive labels at your choice. Again, the original folder structure is preserved. You can browse them just like they are in your CD drive. It asks you for the CD when you try to play them. Isn't that neat?...

  • SQL support - Music Library is the only music database program that allows you to manage your database with SQL! With SQL, you can make mass changes or create complex queries to select records. Even Visual Basic functions are supported.

  • Associate MP3 to CD tracks - You can attach media files to audio tracks so you can listen to them without the CD!

  • Audio Composer - Allows you to compose audio CD from MP3s.

"Must Have" Features for a MP3 and CD Manager

  • Support all popular industry standards - Music Library supports mpeg 1.0, mpeg 2.0, Xing VBR. It can read/write ID3v1 and ID3v2 tags.

  • BATCH RENAMING AND TAGGING! - Music Library's "Tag and Rename Utility" can get ID3 tag info from folders and filenames or vise versa - rename files with ID3 tags, you can even add bitrate (or any comments) to the filenames. It allows you to create and save "Tag to Name" or "Name to Tag" templates. Renaming multiple files (right in the main list) can be as easy as a mouse click!

  • Drag and drop to update Tags - Hate typing? We do too. With Music Library, you can update ID3 tags simply by dropping files on the folders...

  • OLE drag and drop operation - Within the program or between applications (Explorer, your player...).

  • Explorer-free file operations - Music Library supports almost all file operations that windows explorer does. Move, copy, delete, rename files or folders can be as easy as drag and drop... You hardly need to open explorer. Even when you do, with a mouse click you can go straight to the folder where the file is in.

  • Super fast duplicates finding - Music Library can determine duplicates by comparing filename, file size or ID3 tags... (Locate 100 sets of duplicates in a database with 8000 records within just 7 seconds).

  • CDDB support! - Retrieve/submit disc information from/to CDDB2 database. Offers a full auto mode and a batch mode.

  • Supports removable disks - such as CDR, tape drive and Zip disk.

  • Professional style report generator - Music Library can generate reports in ASCII text and HTML formats. Multiple, linked pages for long HTML reports. ASCII sample here and HTML sample here

Other Features You Might Like...

  • Stuffs you might like - Cover art, lyrics, track rating, play counter, mood, tempo, occasion, custom fields and more...

  • Color-coded file status display - File status is color-coded in the main file list, you always know whether the file is available or on CD.

  • External MP3 player support - Music Library comes with an Internal MP3 player. It's also a full-featured Winamp front-end control. You can also use any other players as long as they support ".mp3" and ".m3u".

  • Library features for record collectors - Such as loan tracking, insurance, location, reference No, cost, value ...

  • External CD player - It can display detail track info, lyrics, cover image and ratings...

Features in the plan...

  • A report printing feature

  • Your suggestions...


About CDDB

Using CDDB

Music Library uses the CDDB2 Disc Recognition ServiceSM (DRS) from CDDB, Inc. to get the artist, title, track, credit, and other information about the CDs you play. This service is FREE and automatic. The first time you use the service, you must register with CDDB.

Register with CDDB

You will be prompted to register with CDDB on your first use. Follow the screens for a "New Registration" to select a nickname and password. The remaining information is optional, but does help CDDB provide better service.

Once you register, you do not have to re-register, unless you want to change your registration information or settings.

Until you register you wont be able to use the CDDB services.

Change CDDB Registration Information

To change your CDDB registration information choose CDDB -> Register from the Album Info Editor window to bring up the CDDB Registration Wizard. Select the "Update My registration information" button then follow the instructions.

Submit or Update to CDDB

To submit a CD to the CDDB insert the desired CD and choose CDDB -> Submit Disc from the Album Info Editor window menu.

For complete instructions on using the CDDB service proceed to:

http://www.cddb.com/cddb2info/using.html

Proprietary Legends

CD-related data through the Internet from the CDDB® Music CD Database. Copyright 1999, 2000 Gracenote, Inc. CDDB Client Software. Copyright 1999, 2000 Gracenote, Inc.

CDDB is a registered trademark of Gracenote, Inc. CDDB-Enabled, CDDB2 and the CDDB Logo are trademarks of Gracenote, Inc. Disc Recognition Service and DRS are service marks of Gracenote, Inc.


About Shareware

User License Agreement

This is a legal agreement between you (either an individual or a single entity) and us (WenSoftware and/or the author) for the Software Product called "Music Library", including all associated executable and data files provided therewith. By installing and using this software you agree to the following provisions.

COPYRIGHT

All title and copyrights in and to this Software Product, the accompanying printed materials, and any copies of this Software Product are owned by the Author of this Software. This Software Product is protected by copyright laws and international treaty provisions. Therefore, you must treat this Software Product like any other copyrighted material except that you may install this Software Product on a single computer provided you keep the original solely for backup or archival purposes.

RESTRICTION ON USE

This is a copyrighted software. You may not sublicense, rent, lease, translate, modify, reverse-engineer, decompile, disassemble, or modify any copy of this Software Product for any purpose. You are permitted to give copies of shareware version of this Software Product to others, in any reasonable distribution format.

LIMITED WARRANTY

NO WARRANTIES
THE AUTHOR OF THIS SOFTWARE EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE PRODUCT. THE SOFTWARE PRODUCT AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE PRODUCT REMAINS WITH YOU.

NO LIABILITY FOR DAMAGES
IN NO EVENT SHALL THE AUTHOR OF THIS SOFTWARE BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THIS PRODUCT, EVEN IF THE AUTHOR OF THIS SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. BECAUSE SOME STATES/JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

NO REFUND

THERE IS NO REFUND FOR THIS PRODUCT.


Ordering Information

How to Order

Music Library Order Form


How to Order

Music Library Ordering Information

Shareware Limitations

Music Library distributed as shareware. This means you can try this software to find out whether it provides what you need before you pay for it. There are no limits nor is crippled in any way within the 30 days of first installation. It is a copyrighted software program protected by U.S., European and international copyright laws. If you use this software for more than 30 days you must purchase a registration key in order to continue use it.

Registration Key

Once RegSoft.com received your registration form and fee sent, you will receive your registration key by email. The delay is about 24 to 48 hours. Then, in the software, you should enter this key and user name into the appropriate fields of the Registration window. Your copy of software will be instantaneously registered and fully functional.

Why Register?

  • Unlock the limitation.
  • Entitle you for ALL future upgrades.
  • We will listen to your suggestions and implement them in future updates.
  • Technical support by email.

Registration Fee

The registration fee is only US $24.95 per user.

How to Order?

  • Secure online registration is available at RegSoft.com 24 hours a day, 7 days a week. All major credit cards accepted. You may also order by mail, phone or fax.

  • You may also print and fill out the Order Form , send cash or check with the form to the address shown on the order form. If you pay by checks, please allow time to process.


Music Library Order Form

Print and use this form if you don't have a credit card and wish to register Music Library by mail. Secure online ordering is also available at RegSoft.com.

Visit: http://www.wensoftware.com/MusicLibrary/order.html for more detail.

First name :_______________________________________________

Last name :_______________________________________________

Address :_______________________________________________

City :_______________________________________________

State :_____________________ Zip Code :____________

Country :_______________________________________________

E-mail :_____________________ (Please print)

Price: US $25.00 (Single license)

Number of licenses: ______

Total (number of licenses x $25.00) = USD _________

Payment method : [ ] Enclosed Cash [ ] Enclosed Check [ ] Money Order

For payment, use an international money order or check payable in US funds and drawn against a bank with a branch in the United States. Please notice that we do not accept any Eurochecks. Cash payment is preferred, please allow at least one week if paid by check.

Important!

Music Library is distributed by electronic delivery only. You must include a valid email address. After receiving the payment, your registration code will be sent to you by email.

Make checks payable to: Wenhua Zheng

Send this form and payment to:

WenSoftware
3595 Post Rd, #28202
Warwick, RI 02886 USA


Register Music Library

Music Library Registration

The registration key is sent to you by email as attachment, the attacment is a *.key file. There are two ways you can enter you key.

METHOD 1: (Preferred)
  1. Save the attachment (*.key file).
  2. Double click on the file, you will be asked whether you want add this file to the Registry. Press YES to register it. That's it!
METHOD 2:
  1. The key can also be found at the end of the registration email message. Right click on this email message to show the popup memu, choose 'Select All' to highlight the entire message.
  2. Right click again then choose 'Copy' to copy the entire message.
  3. Start Music Library. From menu, select Help > Registration. Press the Paste Key button to paste the key into the Key text box.
  4. Press OK to register the software. Restart the program, your copy should be registered.


Support

System Requirements

Installation and Uninsallation

Contact Information


System Requirements

Music Library requires Windows 95, Windows 98, Windows ME, Windows NT 4.0, Windows 2000 or Windows XP. It will not run under Windows 3.x or Windows NT 3.1 or 3.5. You must have Internet Explorer installed.

CPU : Pentium 166 or better

Memory : 32 MB RAM recommended.

Hard drive : 10 MB for program files and database.

Screen Resolution : 800X600, high color or better.

Other : Modem (Internet connection), Sound Card.

MP3 Player : WinAmp is recommended.


Installation and Uninsallation

Installation:

To install Music Library you must uninstall any previous version on your computer, then unzip the "zip" file to a temp directory. Then run "Setup.exe" and follow instructions.

Uninstallation:

To uninstall Music Library, from "Start" menu, select Start > WenSoftware > Music Library > Uninstall Music Library. Then follow instructions on screen.


Contact Information

Company: WenSoftware

Support: support@Wensoftware.com

Website: http://www.wensoftware.com

Bug Report

If you discover bugs, please send bug report to support@wensoftware.com

Suggestions, criticisms and bug reports are always welcome.

Important!

When submit bug reports, please at least include the following information:
  • Current version you are running.
  • System configuration (CPU, RAM, CD ROM, etc.).
  • Operating system (win98, NT, etc.).
  • Detail description of what happened (Step by step).

Please include as much info as possible to help us to reproduce the problem. If we can not reproduce the problem, we can't help you.


Getting Started


Saving Database

Creating and Saving Database

To create a new database, select File -> New Database .

Select File -> Save As. In the "Save As A Copy" window, enter a filename other than "Untitled.dbd". Click "OK" to save the database.

Important:

You only need to save a database when it's first created. The default database name is "Untitled.dbd". This is a temporary database and will be deleted when you exit the program. Please note that you don't need to save an existing database, because it's updated automatically every time you made changes to it. If you want to create a copy of the database, please select a DIFFERENT file name, fail to do so will erase all records in the database.


Select Columns and Sort Order

Columns and Sort Order

Music Library allows you to select only the columns that you want tot display, you may also set the sort order in the main lists.

To select columns,

  1. Select View -> Customize Columns and Sort ... from the menu.
  2. In the "Listview Columns" window, select fields from the "Available Fields" list, press the "Add to Column" button to add to the column selection.
  3. To set the sort order, press the "Add to Sort" button to add the selected fields to the sort selection.
  4. Press OK to save the settings.

Please note you need to refresh the main window to reflect the changes.


Treeview Custom Sort

Music Library allows you to create your own custom sort in the treeview.

To create a custom sort:

  1. Select View -> Customize Treeview ... form menu.
  2. Select fields you want to display from the "Available fields" list and add to the "Selected Fields" list. Use the "Up" and "Down" buttons to adjust the level. The folder structure is displayed in the "Treeview Preview" box.
  3. Press "OK" to save and refresh the main window. Once a view is saved, it will be available in the sort selection dropdown list.


Browsing The Database

See also Customize Columns and Sort, Customize Treeview

Music Library displays the MP3 and audio databases in different views - the "MP3 Explorer" and "Audio Explorer". To switch between the two views by selecting the "MP3 Explorer" or the "Audio Explorer" tabs. Once you press the tab, the toolbar and menu will change accordingly. The "Audio Explorer" has two views - "Track View" and "Album View". To show tracks in audio database, press the "Tracks" button, to show albums, press the "Albums" button.

The "Folder Tree" can sort and display entries by artists, albums and many other combinations. To choose a certain view, select the view from the "Sort Selection" dropdown list on top of the "Folder Tree".

The tracks are displayed in the "File List" ("Track List" in audio explorer), when a folder is selected in the "Folder Tree", tracks are displayed in the "File List".


Copy/Move Records

Music Library allows you to copy/Move MP3 and audio album records to a different database.

To move/copy records:

  1. Highlight the records in "File List" (or "Album List"), select Tools -> Copy Record to... (Move Record to...) from menu.
  2. Select a destination database.
  3. Press the "Open" button to copy or move the records.


Audio Database

  • Add New Album
  • Edit Album
  • Add Track
  • Edit Track
  • Create Album from MP3 Playlist
  • Create Album from Audio Playlist
  • Search CDDB Website
  • Read Disc Option
  • Submit to CDDB


Add New Album

See also Search CDDB Website, Create Album from Audio Playlist, Create Album from MP3 Playlist

Manual mode:

  1. From menu, select Audio -> Add Album to open the Album Info Editor window.
  2. Insert CD, when drive is ready, click on the TOC button in toolbar to calculate the TOC of the disc. (You should see a long string on numbers in the "TOC" box if the scan is successful.)
  3. Click on the Disc toolbar button to connect to CDDB database. (You must have a live Internet connection). If query is successful, album information will be listed in the Album Info Editor window. If there are multiple matches, the "Multiple Match" window will show up. Select one from the list, and click on the "Accept Match" button to retrieve the information.
  4. Click on the Save toolbar button to save the album.
  5. Click on the New toolbar button to start a new album, repeat the steps it you want to add more albums.

Full auto mode:

  1. From the main window toolbar, press the "Audio" button to switch to the audio database view.
  2. From menu, select Audio -> Add Album to open the Album Info Editor window.
  3. On the upper right corner of the window, check the "Enable full auto mode" checkbox. This will start the full auto mode. If there is a disc in your CD drive, it will read and eject it immediately, otherwise it will idle and wait for you to insert a disc.
  4. Insert CDs one by one, the program will do the following: read disc, query CDDB, save the album and eject the disc. All you need to do is feed the disc one by one.

Batch mode:

The "Batch mode" allows you to read the disc information first then query the discs together later. This is very useful if you have a lot of CDs to enter or you have a limited internet connection.

  1. Open "Album Info Editor" window. From menu, select CDDB -> Batch Mode. to open the "Batch Mode" window.
  2. Place the CD in the CD drive and press the "Add" toolbar button to add the disc's TOC to the list. Repeat this step to add more discs.
  3. You may start the download right away or save the discs to a batch file. To start, press the "Start" toolbar button. The program will query CDDB and save the albums automatically. Although there is no limit on how many CDs you can add to a batch, it's recommended that you choose 30 -50 CDs in a batch. That way it's easier to find out which CD was not successful later.

Tips:

  1. If the record is in other formats, you will not be able to use the Disc Info option. However you can still use the Search CDDB function to abttain album information from CDDB website.
  2. You may also use the Create Album from MP3 Playlist option to catalog discs created from MP3s.
  3. For albums do not exist in CDDB, you may use the Read Disc Option to save some typing.

Important:

To catalog audio CDs, you must specify a designated CD drive first. To do this, select Preferences from the Tools menu to open the Preferences window. Select "CDDB Scan", then select the CD drive from the "Default CD Drive" dropdown box.

Note:

The first time you query CDDB. You will be asked to register CDDB service. Follow the screens for a "New Registration" to select a "nickname" and password. The remaining information is optional, but does help CDDB provide better service. The CDDB service is FREE to end users like you.


Search CDDB Website

Search CDDB Website (CDDB Lookup)

For media such as vinyl and cassette, there is no way to query CDDB database directly. However, Music Library offers an unique feature that allow you to search the CDDB website to get album information.

1. Open "Album Info Editor" and start a new album.

2. In "Album Info Editor" window, enter artist name and album title in the "Album Info" section.

3. From menu, select Tools -> Search CDDB, the "CDDB Lookup" window will open and the search will begin.

4. In "CDDB Lookup" window, find the matched album and list the tracks.

5. In "CDDB Lookup" window, click on "Add" toolbar button to add the information to "Album Info Editor".

6. In "Album Info Editor" window, modify information if necessary.

7. Click on the "Save" toolbar button to save the album.

Note:

Please note that this is not the same as the "Disc Info" function. It does not require a TOC, this is great for media like vinyl and tapes. Most likely the album information exists in the CDDB database. To perform the search, you need to enter at least the artist name or album title first.


Create Album from Audio Playlist

If you have the playlist file that you used to create the CD, you may use the "Import Audio Playlist" option to import the information from your playlist.

  1. In main window, select Audio -> Add Album from menu to open the "Album Info Editor".
  2. In "Album Info Editor" window, select Tools -> Import Audio Playlist .
  3. In "Open Playlist" window, select the playlist file and click "Open".
  4. Modify information if needed, click on the "Save" toolbar button to save the album.


Create Album from MP3 Playlist

If you have the playlist file that you used to create the CD, you may use the "Import MP3 Playlist" option to import the information from your MP3 database.

  1. In main window, select Audio -> Add Album from menu to open the "Album Info Editor".
  2. In "Album Info Editor" window, select Tools -> Import MP3 Playlist .
  3. In "Open Playlist" window, select the playlist file and click "Open".
  4. Modify information if needed, click on the "Save" toolbar button to save the album.


Edit Album

  1. There are three ways you can edit an album in the database. In track view you can select an album from the Folder Tree pane (You must select an album title) or select a track from the Track List. In album view, you can select the album from the Album List.
  2. From menu choose Audio -> Edit Album to open the album in the Album Info Editor window.
  3. Modify album or track information.
  4. Click on the "Save" toolbar button to save the changes.


Add Track

The "Add Track" option is used to add tracks to an album layout in Album Info Editor . The option is designed for media other then Compact disc such as vinyl, tape or CDs that does not exist in CDDB database. For regular CDs, it's recommended to use the CDDB option.

  1. In main window, select Audio -> Add Album from menu to open the Album Info Editor window, this will start a new album.
  2. In "Album Info Editor" window, select Track -> Add Track from menu to open the "Add Track" window.
  3. Enter track information and click "Enter" to add to the album layout. (Tracks are listed in the "Track Info" list box.)
  4. Repeat the previous step to add more tracks.
  5. When finished, click on the "Save" toolbar button to save the album.


Edit Track

From Audio Explorer Track View:

  1. Select a track in the "Track List".
  2. Right click to open the popup menu, select Edit Track to open the "Edit Track" window.
  3. Modify track information and click on the "Update" button to save the change.
  4. Click "Close" to close the window.

From "Album Info Editor":

  1. Select a track from the "Track Info" list box.
  2. Click on the "Edit" toolbar button to open the "Edit Track" window.
  3. Modify track information and click "Update" to make the change in Album Info Editor .
  4. From menu, click "Save" from the toolbar menu to save the changes.


Submit to CDDB

  1. If the album is not in your database, use the Read Disc option to enter disc information in "Album Info Editor".
  2. In "Album Info Editor" window, select CDDB -> Submit Disc from menu to open the "CDDB Disc Information" form. The information should be already pre-filled. Double check the information you just about to send, make changes if necessary.
  3. When ready, click on the "OK" button to submit the disc. If successful, you will receive a confirmation.

Unknown problem:

For CD's with a lot of tracks, you might get errors during the submission. This is because the TOC field in the database is 255 characters long, the TOC maybe tructated for discs have a lot of tracks. To get around this problem, you can palce the CD in the CD drive and press the TOC button before the submission.


Read Disc Option

For CD does not exist in CDDB, you may use this option to get basic disc information such as track number, length etc. This option can save you some typing.

  1. Insert disc into CD drive.
  2. In main window, select Audio -> Add Album from menu.
  3. Place the CD in the CD drive. In "Album Info Editor", select Tools -> Read Disc from menu.
  4. Modify default information.
  5. Click on "Save" toolbar button to save the album.

Tip:

You may submit the information you just entered to the CDDB database, so other CDDB users can benefit from it. Please see Submit to CDDB for detail.


Assign Custom Media Icon

Music Library allows you to add your own media formats and choose icons for different media formats.

  1. From menu, Tools -> Edit Media Table to open the "Edit Media Table" window.
  2. To add a new format. Press "Add" button and enter a name for the format, press "OK" to add to the list.
  3. To assign an icon to a format, highlight the media in the "Media Format" list, double click on a icon in the "Available Icons" list to assign the icon to the selected media format.


Multiple Disc Set

Music Library displays multiple disc set under the same title, each individual disc is shown as "Disk 1 of 2", "Disk 2 of 2"...

First of all, you MUST enter the Disk # in the "DiskNo" field. For disk 1 enter Disk 1 \ 2, disk 2 enter Disk 2 \ 2... Empty disk # field will cause the strange behaviors. For regular albums, you must enter 1 \ 1.

Example: Van Morrison - The Philosopher's Stone (Double CD set)

  1. Enter "The Philosopher's Stone" as "Title" for both discs.
  2. In the "Sort By" (Title Sort) field, enter "The Philosopher's Stone (Disc 1)" for disc 1, enter "The Philosopher's Stone (Disc 2)" for disc 2.
  3. In "Disk" field, enter Disk 1 \ 2 for disc 1, Disk 2 \ 2.

The album should appear in treeview as: ("Album Artist - Album" view)

...
|
|-Van Morrison - The Philosopher's Stone
| |
| ----Disk 1 of 2
| |
| ----Disk 2 of 2
|
...

Note:
1. If you see branches under single disc albums, that means the "Disk" field is not set or incorrect.

2. If you prefer not to use this display format, simply set the "DiskNo" filed as "Disk 1 / 1". The program will treat all discs as an individual album.


User Genre

In addition to the CDDB genres, Music Library allows you to define your own genres (up to 50). The user genres can be set in the "Album Info Editor" window.

  1. In "Album Info Edit", Tools -> Edit User Genre .
  2. In "Edit User Genre" window, click on the genre name (i.e. user01, user02...).
  3. The first cell will become editable, modify it to the genre name you choose.
  4. Press the "Save" button to save the changes.


CDPLAYER.INI

Export to CDPLAYER.INI

Music Library allows you to export albums in your database to the CDPLAYER.INI file.

To export selected albums:

  1. Switch to Album View in Audio Explorer.
  2. Highlight the albums in "Album List", from Menu Select File -> Export -> CDPLAYER.INI -> Selected CDs.

To export all albums:

  1. Switch to Audio Explorer.
  2. From Menu Select File -> Export -> CDPLAYER.INI -> All CDs.

Note:

You must have a disc serial number in order to export a CD. The serial number can be updated with the "TOC" button in "Album Info Editor". Place the CD in the CD drive to update the serial number, then save the album.


MP3 Database

  • Add Volume
  • Update Folder
  • Edit ID3 Tags and Database Fields
  • Rename Files
  • Delete File
  • Remove Record
  • Copy File
  • Move File/Folder
  • Track Rating
  • Play File
  • Enqueue File
  • Create Playlists
  • Lyrics


Add Volume

Add Volume to MP3 Database

To scan folders on hard drive:

  1. Press the "MP3 " toolbar button to switch to "MP3 Explorer" view in the main window.
  2. From menu, select MP3 -> Add Volume to open the "Browse for Folder" window. Select a drive or folder, click "OK" to start the scan.
  3. Repeat the step to add more folders to the database.

Tip:

You may also simply select MP3 -> Update All , program will scan all hard drives and network drives automatically.

To catalog removable disks such as CDRs:

  1. Insert the disk.
  2. From menu, select MP3 -> Add Volume to open the "Browse for Folder" window. Select the drive letter and click "OK"
  3. Enter a "Disk Label" when asked. Click "OK" to start the scan. It's recommended to scan all your disks from the same drive, so all the disks are listed under the same drive letter.

Note:

Disk Label is used to identify a disk in the database. All removable disks are listed by their Disk Labels under the drive letter in "Folder Tree". Please note that the Disk Labels are sorted alphabetically, therefore you need to name you disk as "My Disk 0001", "My Disk 0002"... instead of "My Disk 1", "My Disk 2"... in order to display them in the right order.


Update Folder

To update a folder:

  1. Select "Drive \ Folder" from the dropdown list box on top of the "Folder Tree".
  2. Select the folder you want tot update.
  3. From menu, select MP3 -> Update (Selected) to update the selected folder, select MP3 -> Update (Recursive) to update all subfolders.

Important!

The "Update" functions will erase all existing records in the selected folder, therefore you will loose all non-id3 tag fields. To preserve records of existing files, you need to enable the " Update new files only" option in "Preferences".


Edit id3 Tags and Database Fields

ID3 Tag and Database Field Editing

See also TAG and Rename Utility, CDDB Lookup

Music Library supports ID3 tag v1 and v2 standard. The standard v1 tag consists of 7 fields:

"Artist", "Title", "Album", "Genre", "Year", "Comment", "Track". The information is stored in the last 128 bytes of the mpeg file. The length of the fields are fixed. The length of "Artist", "Title", "Album", "Comment" fields are 30 characters, length of the "Year" field is 4 characters. The "Genre" field is represented by an integer, there are 147 standard genres in v1.0 and v1.1.

Edit individual file

Select the file in the "File List" pane, then choose MP3 -> Properties to show the properties of the file in the "Properties" window. Enter or edit the information, click on the "Update" button to update tag and the database.

TAG and Rename Utility (Batch Mode)

Select files from the "File List" pane (Hold down Ctrl or Shift key to select multiple files), then choose Edit -> Edit TAG and Fields... from menu to open the "Tag and Rename Utility" window. In "Tag and Rename Utility", apply functions provided to modify the field information, changes are shown in the "Preview" list box. When ready, click on the "TAG" toolbar button to update tags and the database.

CDDB Lookup

Music Library offers an unique feature - CDDB Lookup. It allows you to search for ID3 tag infomation from CDDB website and the CDDB database. This is very useful when you are looking for information such as track numer, album information for a particular song or when you are editing an entire album.

  1. Select files from the main window "File List", from menu select Edit -> CDDB Lookup to open the "CDDB Lookup" window.
  2. Highlight a song in the "File List" box, then press the "Search" toolbar button. If matches are found, matched albums are listed in the "Matched Albums" tab. Click on an album to list tracks. Highlight the match in the "Track List", then press the "Edit Track" toolbar button to update the selected file. If you are editing an entire album, you may enable the "Album Mode" by selecting the "Enable album mode" checkbox. If the order matches, select the "Match order" option, otherwise select the "Match Title" option. Press the "Edit Album" toolbar button to update the entire album.

Note:

If there are existing information in the ID3 tags, you may use the "Disc Info" button first to see if the album exists in CDDB database. The "Disc Info" option returns "Year" info if exists, the "Search" option doesn't.

Drag and Drop

Music Library also allows you to update ID3 tags by drag and drop on to the selected folder. This option works on all views except the "Drive \ Folder" and "Custom Sort" views.

The following examples will give a pretty good idea how it works:

Example (1) "Album Genre > Album Artist > Album" view

Rock
..|__The Rolling Stones
........|_Rewind

1. Drop on "Rock" updates the "Genre" field to "Rock" in selected file.

2. Drop on "The Rolling Stones" updates "Genre" to "Rock" and "Artist" to "The Rolling Stones".

3. Drop on "Rewind" updates "Genre" to "Rock", "Artist" to "The Rolling Stones" and "Album" to "Rewind".

Example (2) "Album Artist - Album" view

|__Aerosmith - Greatest Hits
|

Drop on this node updates the "Artist" to "Aerosmith " and "Album" to "Greatest Hits".

You may select as many file as you like. Other views works the same way. All fields represented by the parent nodes gets updated also.


Rename File

Rename Files

Using the "Tag and Rename Utility":

  1. Select files in the "File List" pane.
  2. Select Edit -> Rename from the menu to open the Tag and Rename Utility window.
  3. Use the functions provided in the "Tag and Rename Utility" to modify and preview the new file names. When ready, click on the "Rename" toolbar button to rename the files.

Using the ID3 TAGs (main window):

  1. Hightlight the files that you want to rename.
  2. Right click to bring up the popup menu, select "Tag to Name". The program will rename the files using the current "TAG to Filename Template".


Copy File

Copy Files

Music Library allows you to copy files from one folder to another just like Window Explorer.

  1. Select files from the "File List" pane.
  2. Select Edit -> Copy to ... from the menu to open the "Browse for folder" window.
  3. Select a destination folder and click "OK" to copy the files.


Move File

Move File/Folder

Music Library allows you to move files from one folder to another just like Window Explorer.

Files

  1. Select files from the "File List" pane or a folder from the "Treeview".
  2. Select Edit -> Move to ... from the menu to open the "Browse for folder" window.
  3. Select a destination folder and click "OK" to move the files.

You may also use the drag and drop option to move files, simply select the files and drop them on to the destination folder.

Folders

  1. Select the folder in the "Folder tree".
  2. From menu, Edit -> Move to ... to open the "Browse for Folder" window.
  3. Select the target folder and press "OK" to move the foldee.

You may also use the drag and drop option, simply drag an folder and drop it on the taget.


Move to Designated Folder

The "Move to Designated Folder" option can move the files to predefined folders, if the folder doesn't exist, it creates it for you. To select a format, Tools -> Preferences -> File Operation.The following formats are available:

Parent\Album Artist\Album\

Parent\Album Artist - Album\

Parent\Album Genre\Album Artist\Album\

Parent\Album Genre\Album Artist - Album\

Parent\Album Genre\

Parent\Album Artist\

  1. Select files form the File List, right click to show the popup menu.
  2. Select "Move to Designated Folder(s)" from the popup menu.
  3. Choose a parent folder and press OK to move the files.

Please note that if a field is empty, the folder will not be created and the file will be skipped. This option uses the "Album Artist" and "Album Genre" instead of "Artist" and "Genre", please make sure these fields are not empty before using this function.


Delete File

Delete Files

  1. Select files in the "File List" pane.
  2. Select Edit -> Delete from the menu.
  3. Click on "Yes" button in the "Confirm" window to delete the files. Files will be removed from your hard drive and database.

Note:

Nonexistent files can not be deleted from the database, you have to choose the Remove option to delete the records.


Create Playlists

Compose Playlists

Create a playlist is a snap with Music Library. The Playlist Layout pane is conveniently located on the lower right hand corner of the main window. There many options to choose to select your favorite tunes for you playlist. Playlists are listed under the "My Playlists" section in the "Folder Tree" pane.

To select tracks:

Option 1:

You may add tracks from the "File List" pane. Select files and from menu choose Playlist -> Add Selected to add the selected tracks to the "Playlist Layout".

Option 2:

You may add an entire folder from the Folder Tree pane. Select the folder and choose Playlist -> Recurse Folder from the menu. You can also simply drag the folder and drop it into the Playlist Layout .

Option 3:

You may add all files on your hard drives. From menu, choose Playlist -> Recurse My Hard Drives .

Option 4:

You may select track by their ratings. From menu, choose Playlist -> Select By Rating . Select appropriate options in the "Select By rating" window.

Option 5:

You may select tracks from search results. From menu choose Tools -> Search Database . Perform search in the Search Database window. Select files from the result and right click to open the popup menu. Select Add to Playlist to add the files.

To remove tracks:

Option 1:

Select files you want to remove from the Playlist Layout , right click to open the popup menu. Select Remove to remove the selected tracks.

Option 2:

Select files you want to keep from the Playlist Layout , right click to open the popup menu. Select Crop Selected to remove the unselected tracks.

Option 3:

To remove nonexistent tracks, select Remove Deadlinks from the popup menu.

To save the playlist:

Select Playlist -> Playlist Generator from menu to open the "Playlist Generator" window.

Option 1:

You may save all tracks in the Playlist Layout to a single playlist file. Click on the "Save" button in the "Option 1" frame. Enter a file name and click "Save" to save the playlist.

Option 2:

You may save selected tracks in the Playlist Layout to a single playlist file. Select tracks and click on the "Save" button in the "Option 2" frame. Enter a file name and click "Save" to save the playlist.

Option 3:

You may save all tracks in the Playlist Layout to multiple playlist files. Specify number of tracks in each playlist and click on the "Save" button in the "Option 3" frame. Enter a file name and click "Save" to save the playlists. Playlists will be name as "playlist01.m3u, playlist02.m3u . . . "

To list Playlists:

You may add individual playlist file to the database. Select MP3 -> Add Playlist -> Manual to open the "Add playlist to Database" window. Select a playlist file and click on the "Open" button to add the playlist.

You may also let Music Library search your hard drives for all available playlists. Select MP3 -> Add Playlist -> Search Hard Drives. Program will perform search and list all available playlists automatically.


Play File

Play Tracks

Music Library is designed to work with the internal player and WinAmp, it also supports any player that supports "m3u". Please note that the "Enqueue" functions only applies to the internal player and WinAmp.

Double Click

You may paly a song simply by double click on the song in File List.

Using Menu

  1. Select files from the "File List" pane.
  2. Right click on the "File List" pane to open the popup menu.
  3. Select Play Selected to play the selected files.

Drag and Drop

Music Library supports all common drag and drop operations. You may simply drag files or folder and drop them on your player to play them.

Important:

To play files from Music Library, the ".m3u" file must be associated with your default MP3 player on your system. Most players allow you to do this in their options, if not, you need to associate the extension manually.


Enqueue File

You may use the "Enqueue" function to add files to WinAmp's or Music Library Player's internal playlist, even when it's playing.

  1. Select files from "File List".
  2. Select MP3 -> Enqueue Selected from menu.


Remove Record

Remove Records

  1. Select files in the "File List" pane.
  2. Select Edit -> Remove Records from the menu.
  3. Click on "Yes" button in the "Confirm" window to remove the files from your database.

Note:

Records are actually not deleted from the database. To permernatly delete the records, you need to use the "Compact Database" option.


Track Rating

Music Library lets you enter rating for each individual track. So you can create playlists according to your preferences quickly and efficiently. The rating scale is from 1 to 10.

Track Properties

You may enter the rating for each individual track by using the "Properties" window. Select the file and choose MP3 -> Properties from the menu, enter a rating for the track. Click "OK" to update the database.

Batch

You may also use the "Rate Track" utility to set the ratings for multiple files. Select files then choose Edit -> Rate Tracks from the menu to open the "Rate track" window. Play and enter ratings for selected tracks.

Select From Menu

Right click on a song, from the popup menu, select Set Rating, then select a rating from the list.


Lyrics

Attach Lyrics

Lyrics are stored in the "Lyrics" table, tracks are associated by the "Artist" and "Title" fields.

From Properties window

  1. Select the file from "File List", choose MP3 -> Properties from menu.
  2. In the "Properties" window, switch to "Lyrics" tab. Type or paste lyrics into the text box.
  3. Click on the "OK" button to save the lyrics.

From ID3 TAG Viewer

Music Library supports the lyrics field in ID3v2 TAG standard, you can write lyrics into the v2 tag in the files also. Right click on a file, select ID3 TAG Viewer from the popup menu. Enter the lyrics in the "Lyrics" tab, press "Update".


Generating Playlists

Playlist Layout

The "Playlist Layout" pane is conveniently located on the bottom of the main window, you can drag and drop files or use the Playlist Generator to select tracks. To save the tracks, press the "Save Playlist" toolbar button (located on the bottom of the playlist layout) and select "Save All Tracks" or "Save Selected Tracks".

Playlist Generator

The Playlist Generator lets set criteria to select tracks and generate playlists based on the criteria.

The "File Selection" tab allows you to select locations or set conditions to limit the query scope. If you want to query the entire database, leave the Location box empty. You can pess the "Add to Playlist Layout" button to addd the selection to the Playlist Layout in main window.

The "Playlist Output" tab lets you save the selection as playlists.

  • Save selection as a single playlist - Saves the query as a single playlist file.
  • Save selection as multiple playlists - Saves the query as multiple playlists base on the specified number.
  • Generate playlist for each folder - Generates and saves playlists for each folder on your hard drive.


Import

Database Import

Music Library lets you import various database formats. The import utility is a separate program, it's not included in the standard installation package. You can download it on the website.

The following formats are supported: standard comma or text delimited text file, Catraxx 2000 database, Microsoft Access sample database, CDPLAYER.INI.

To import a database, you need to create a Music Library database (target) first, then select the source database. If the source is a text file, you need to define columns and parse the source file. Otherwise, you can press the "Finish" button to start the import process.


Cover Art

Linking Cover Art to MP3's

Music Library allows you to associate image files to the MP3 files. The common file formats such as BMP, JPG, GIF are supported. There are three options that you can choose:

The Default Cover Option

  1. Requirements: You must store each album in an individual folder.
  2. You must store the image files in each album folder and use the same filename (e.g. "cover.jpg"). If you prefer to store the image in a separate folder in the album folder, include the folder name in the default filename (i.e. "Cover\cover.jpg").
  3. Tools > Preferences > General > File Scan Options, check the "Use default cover image" box and enter a default filename for the image files.

When you scan the folders, the default cover image file will be associated automatically (regardless whether the image file exist or not).

Manual Select

Requirements:

  1. The "Album Artist" and "Album" fields must be set.
  2. For compilation albums, you must use "Various Artists" as "Album Artist".
  3. Highlight the file in File List, from menu select MP3 > Properties, select the "Cover Art" tab. Press the "Browse" button to select a image file.

Note:

You only need to attach the image to one of the files in the album, the program will attach the image to all files with the same "Album Artist" and "Album". You may also use the "Search Image Folder" button to have the program to locate the file.

The Drag and drop option

This option allows you to drag and drop a picture from the web browser and save it on your hard drive, the image will also be linked to the selected file. This option works with both of the above options, it is very handy when you are looking for cover arts on the Internet.

  1. Display the full size image in your web browser (Internal or external).
  2. Drag and drop the picture on one of the file in the File List. A save picture window will show up. Make sure the image folder and filename is correct, press Save to save the image.

Note:

1) You only need to do this to one of the files in the same album, the image will be linked to rest of the files.

2) Some images will not work with this option.


Linking Cover Art to Audio Albums

Manual Select

  1. Open the album in "Album Info Editor".
  2. In the "General" tab, press the "Browser for image file" icon (upper right corner) to select a picture.
  3. Save the album.

Drag and Drop

This option allows you to drag and drop a picture from the web browser and save it on your hard drive, the image will also be linked to the selected album. This option is very handy when you are looking for cover arts on the Internet.

  1. Make you you are in "Album View".
  2. Display the full size image in your web browser (Internal or external).
  3. Drag and drop the picture on the album in the Album List. A save picture window will show up. Make sure the image folder and filename is correct, press Save to save the image.

Note:

Some images might not work with this option.


Export

Database Export

Music Library lets you export to various file formats. Supported formats include: comma or tab delimited ASCII, MS Excel, MS Access and CDPLAYER.INI.

The Wizard

To start the wizard, select File > Export > Wizard .

  1. Select a table, press Next.
  2. Select fields that you want to include, press Next.
  3. Select a output format, then press Export to save the file.

CDPLAYER.INI

To export a CD album to window's CDPLAYER.INI, you must have a serial number. You can update the serial by using the "Album Info Editor". Insert the CD, open the album in "Album Info Editor", press the TOC toolbar button.

To export, switch to Album view in "Audio Explorer". File > Export > CDPLAYER.INI.


Creating Report

To generate MP3 reports, select File > Report/Print > MP3 Report .

To generate audio album reports, select File > Report/Print > Audio Album List Report .

To generate audio detail reports, select File > Report/Print > Audio Album Detail Report .

To generate report on current list, select File > Report/Print > Current List....

Step 1 Tab

This is where you specify report type and options. You can enter a title for the report, select font and size and set other options.

Step 2 Tab

This is where you select columns and sort order of the report. To add a column, select the filed in "Available fields" box, then press the ">" button. To add a field to the Sort order list, press the ">>" button.

Step 3 Tab

To print or save a report, you need to press the "Create Report" to list the results first. For printing and HTML options, you can adjust the column width of each column for best fit on paper or the html pages.

To print the report, press "Page Setup" to set orientation and margin. Press "Preview/Print" to preview, then in preview window, press print to start printing.

Advanced Tab

The "Advanced" option lets you create custom reports, paste or enter a SQL statement then press the "Execute" button.

Note:

  1. If you use the "Group by" option, the "Group by" field must be on top of the sort order.
  2. When you select the "Current List" option, you can't change the sort order and add additional columns.


Creating HTML Templates

Music Library displays track or album details in HTML format with a build-in Internet Explorer window. The HTML pages are created with a template file. The template file is a pre-defined HTML file with embed "TAG's" (See Database Structure for the list of defined TAG's associated with each table). When a track or album is selected in the list, the TAG's in the template are replaced with the actual values. There are three templates used by Music Library to display MP3, audio track and audio album details. The default templates can be found in the "templates" folder in your program folder. You can change the templates in the "HTML Template" section in "Preferences".

To create your own templates, you need to have a HTML editor (such as MS FrontPage, Netscape etc.) or a text editor such as NotePad. Basic knowledge of HTML is required.

TAG

A TAG is the field representation of a database field in the template file (e.g. <TRACK_TITLE> represents the "Title" field in your database), it will be replace by the actual value of the database field when the page is displayed.

Marks

Marks are comment lines in the template file, they are used to blank a certain section in the page when a database field is empty. For example, if the "Comment" field in your database is empty, the program will search for the comment lines to remove the "Comment" section from the HTML code. A mark contains two lines, the first line should be placed at the beginning of the section, the other line should be placed at the end of the section. Each comment line MUST start at the beginning. Following is an example for the "Comment" section:

<!--COMMENT BEGIN-->

.....

Comment Section code ...

.....

<!--COMMENT END-->

Defined Marks for MP3 template:

<!--COVER BEGIN--> <!--COVER END--> | Marks for the cover art section code.
<!--LYRICS BEGIN--> <!--LYRICS END--> | Marks for the lyrics section code.

Defined Marks for audio track template:

<!--COVER BEGIN--> <!--COVER END--> | Marks for the cover art section code.
<!--LYRICS BEGIN--> <!--LYRICS END--> | Marks for the lyrics section code.
<!--PUBLISHER BEGIN--> <!--PUBLISHER END--> | Marks for the publisher section code.
<!--PRODUCTION BEGIN--> <!--PRODUCTION END--> | Marks for the production section code.
<!--MUSICIANS BEGIN--> <!--MUSICIANS END--> | Marks for the musicians section code.

Defined Marks for audio album template:

<!--COVER BEGIN--> <!--COVER END--> | Marks for the cover art section code.
<!--COMMENT BEGIN--> <!--COMMENT END--> | Marks for the comment section code.
<!--REVIEW BEGIN--> <!--REVIEW END--> | Marks for the review section code.
<!--CREDIT BEGIN--> <!--CREDIT END--> | Marks for the credit section code.


The Basics

  • Database Structure
  • The Interface
  • The Menus
  • Tag and Rename Utility
  • Album Info Editor
  • CDDB Lookup
  • Audio CD Composer
  • The Lyric Database Maintenance
  • Search Database
  • Global Replace
  • Preferences
  • SQL
  • CD Player


Database Structure

See Also MP3 Table , AudioTrack Table, AudioAlbum Table

The Music Library database contains three main tables. All information of MP3 is stored in the "MP3" table. Audio information is stored in two separate tables "AudioTrack" and "AudioAlbum".


MP3 Table

The information is stored in the "MP3" table. Currently there are 34 available fields. The available fields are:

Field Name | Data Type | Size | Defined HTML TAG * | Description
File | Text | 255 Characters | <MP3_FILE> | Full file path, including file name and path.
Name | Text | 255 Characters | <MP3_NAME> | File name.
Path | Text | 255 Characters | <MP3_PATH> | File path.
Artist | Text | 100 Characters | <MP3_ARTIST> | Artist name.
Title | Text | 255 Characters | <MP3_TITLE> | Track title.
Album | Text | 255 Characters | <MP3_ALBUM> | Album title.
Genre | Text | 50 Characters | <MP3_GENRE> | Track genre.
Year | Text | 30 Characters | <MP3_YEAR> | Release year of the song.
Comment | Memo | 64 K | <MP3_COMMENT> | Track comment.
Track | Text | 30 Characters | <MP3_TRACK> | Track number.
FileSize | Double | 8 | <MP3_SIZE> | Size of the file. (Bytes)
FileDate | Date | 8 | <MP3_DATETIME> | Last modified date and time of the file.
Time | Double | 4 | <MP3_DURATION> | Track length. (Seconds)
Sample | Long | 4 | <MP3_SAMPLERATE> | Sample rate of the mpeg file. (Hz)
Bitrate | Long | 4 | <MP3_BITRATE> | Bitrate of the mpeg file. (kbps)
Mpeg | Text | 5 Characters | <MP3_MPEG> | Mpeg version.
Layer | Text | 5 Characters | <MP3_LAYER> | Mpeg layer.
Mode | Text | 30 Characters | <MP3_MODE> | Mode of the Mpeg file. (Mono, stereo, etc.)
Rating | Long | 4 | <MP3_RATING> | Rating of song. (1 to 10, 0 - not rated)
DiskLabel | Text | 50 Characters | <MP3_DISKLABEL> | Disk label of a removable disk.
Cover | Text | 255 Characters | <ALBUM_COVER> | Full file path of the cover image file.
AlbumArtist | Text | 100 Characters | <MP3_ALBUMARTIST> | Album artist name. (Default as track artist when scan)
AlbumYear | Text | 30 Characters | <MP3_ALBUMYEAR> | Release year of the album. (Default as track year when scan)
AlbumGenre | Text | 50 Characters | <MP3_ALBUMGENRE> | Album genre. (Default as track genre when scan)
AlbumArtistSort | Text | 102 Characters |  | Not used.
AlbumSort | Text | 255 Characters |  | Not used.
UDF1 | Text | 255 Characters | <MP3_UDF01> | Custom field.
UDF2 | Text | 255 Characters | <MP3_UDF02> | Custom field.
Marked | Boolean | 1 |  | Marked status.
Subgenre | Text | 50 Characters | <MP3_SUBGENRE> | Second genre.
Counter | Long | 4 | <MP3_COUNTER> | Play counter.
Mood | Text | 30 Characters | <MP3_MOOD> | Mood.
Tempo | Text | 30 Characters | <MP3_TEMPO> | Tempo.
Occasion | Text | 30 Characters | <MP3_OCCASION> | Occasion.


AudioAlbum Table

There are 44 fields available in the "AudioAlbum" table. The available fields are:

Filed Name | Data Type | Field Size | Defined HTML TAG | Description
AlbumID | Long | 4 | <ALBUM_ID> | Unique album ID, auto numbered.
Marked | Boolean | 1 |  |
TOC | Text | 255 characters |  | TOC of the disc. (Table of content of the disc)
Artist | Text | 100 characters | <ALBUM_ARTIST> | Artist name of the album.
ArtistSort | Text | 102 characters | <ALBUM_ARTISTSORT> | Sort artist.
Title | Text | 255 characters | <ALBUM_TITLE> | Album title.
TitleSort | Text | 255 characters | <ALBUM_TITLESORT> | Sort title.
Composer | Text | 100 characters | <ALBUM_COMPOSER> | Composer. (Classical music)
ComposerSort | Text | 255 characters | <ALBUM_COMPOSERSORT> | Composer sort. (Classical music)
Conductor | Text | 100 characters | <ALBUM_CONDUCTOR> | Conductor. (Classical music)
Ensemble | Text | 100 characters | <ALBUM_ENSEMBLE> | Ensemble. (Classical music)
Genre | Text | 100 characters | <ALBUM_GENRE> | Album genre.
Year | Text | 30 characters | <ALBUM_YEAR> | Release year of the album.
Label | Text | 50 characters | <ALBUM_LABEL> | Record label.
Country | Text | 255 characters | <ALBUM_COUNTRY> | Country of origin.
CatalogNo | Text | 50 characters | <ALBUM_CATNO> | Catalog number.
ReferenceNo | Text | 50 characters | <ALBUM_REFNO> |
Media | Text | 50 characters | <ALBUM_MEDIA> | Media type of the album.
DiskNo | Text | 10 characters | <ALBUM_DISK> | Number of the disk in the set.
Tracks | Long | 4 | <ALBUM_TRACKS> | Number of tracks of the album.
Time | Text | 30 characters | <ALBUM_TIME> | Total playing time of the album.
Packaging | Text | 30 characters | <ALBUM_PACKAGING> | Packaging type.
Cover | Text | 255 characters | <ALBUM_COVER> | Full file path of the cover image file.
Location | Text | 50 characters | <ALBUM_LOCATION> | The location you store your records.
URL | Text | 255 characters |  | URL of the artist.
Cost | Double | 8 | <ALBUM_COST> | Purchase price of the record.
Value | Double | 8 | <ALBUM_VALUE> | Current value of the record.
RecordCondition | Text | 30 characters | <ALBUM_RECORDCONDITION> | Condition of the record.
CoverCondition | Text | 30 characters | <ALBUM_COVERCONDITION> | Condition of the record cover.
Insurance | Text | 50 characters | <ALBUM_INSURANCE> | Insurance information of the record.
Rating | Text | 30 characters | <ALBUM_RATING> | Personal rating of the record.
Counter | Long | 4 | <ALBUM_COUNTER> | Number of times the record was played.
Status | Text | 50 characters | <ALBUM_STATUS> | Status of the record.
DateAquired | Text | 30 characters | <ALBUM_PURCHASEDATE> | date acquired.
AcqiredFrom | Text | 50 characters | <ALBUM_ACQUIRE> | Acquired from.
Comment | Memo | Unlimited | <ALBUM_COMMENT> | Album comment.
Review | Memo | Unlimited | <ALBUM_REVIEW> | Reviews of the album.
Credit | Memo | Unlimited | <ALBUM_CREDIT> | Credits of the album.
ReleaseType | Text | 15 characters |  |
Custom01 | Text | 255 characters | <ALBUM_CUSTOM01> | Custom field.
Custom02 | Text | 255 characters | <ALBUM_CUSTOM02> | Custom field.
Custom03 | Text | 255 characters | <ALBUM_CUSTOM03> | Custom field.
Custom04 | Text | 255 characters | <ALBUM_CUSTOM04> | Custom field.
Serial | Text | 50 characters | <ALBUM_SERIAL> | Disc serial number used in CDPLAYER.INI.


AudioTrack Table

There are 50 fields available in the "AudioTrack" table. The available fields are:

Filed Name | Data Type | Field Size | Defined HTML TAG | Description
TrackID | Long | 4 | <TRACK_ID> | Unique ID field, auto numbered.
Marked | Boolean | 1 |  |
Wanted | Boolean | 1 |  |
Artist | Text | 100 characters | <TRACK_ARTIST> | Track artist name.
TrackArtistSort | Text | 102 characters | <TRACK_ARTISTSORT> | Track artist sort
Title | Text | 255 characters | <TRACK_TITLE> | Track title.
TitleSort | Text | 255 characters | <TRACK_TITLESORT> | Track title sort.
Composer | Text | 100 characters | <TRACK_COMPOSER> | Track composer sort.
ComposerSort | Text | 102 characters | <TRACK_COMPOSERSORT> | Track composer sort.
Genre | Text | 100 characters | <TRACK_GENRE> | Track genre.
SubGenre | Text | 100 characters | <TRACK_SUBGENRE> | Second track genre.
Year | Text | 30 characters | <TRACK_YEAR> | Release year of the track.
Time | Text | 30 characters | <TRACK_TIME> | Playing time of the track. (Format: 05:55)
Track | Text | 5 characters | <TRACK_TRACK> | Track number. (Format: 01)
DateRecorded | Text | 30 characters | <TRACK_RECORDDATE> | Recording date of the track.
Venue | Text | 100 characters | <TRACK_VENUE> |
OriginalArtist | Text | 100 characters | <TRACK_ORGARTIST> | Original artist.
Mood | Text | 30 characters | <TRACK_MOOD> |
Tempo | Text | 30 characters | <TRACK_TEMPO> |
Occasion | Text | 30 characters | <TRACK_OCCASION> |
Mix | Text | 255 characters | <TRACK_MIX> | Mix name.
MixType | Text | 50 characters | <TRACK_MIXTYPE> | Mix Type.
MP3 | Text | 255 characters | <TRACK_MP3> | Full path of the attached MP3 file.
Sound | Text | 30 characters | <TRACK_SOUND> |
BPM | Text | 30 characters | <TRACK_BPM> | Beats per minute.
Intro | Text | 30 characters | <TRACK_INTRO> |
Outro | Text | 30 characters | <TRACK_OUTRO> |
Counter | Long | 4 | <TRACK_COUNTER> | Number of times the track has been played.
Rating | Text | 30 characters | <TRACK_RATING> | Rating of the track. (1 to 10, 0 - not rated)
TrackType | Text | 30 characters |  |
Publisher | Memo | Unlimited | <TRACK_PUBLISHER> |
Production | Memo | Unlimited | <TRACK_PRODUCTION> |
Musicians | Memo | Unlimited | <TRACK_MUSICIANS> |
Comment | Memo | Unlimited | <TRACK_COMMENT> | Track comment.
Side | Text | 2 characters | <TRACK_SIDE> |
UserDef1 | Text | 255 characters | <TRACK_UDF01> | User defined field
UserDef2 | Text | 255 characters | <TRACK_UDF02> | User defined field
TOC | Text | 255 characters |  | TOC of the disc. (Table of content of the disc)
Album | Text | 255 characters | <TRACK_ALBUM> | Album title.
AlbumSort | Text | 255 characters | <ALBUM_ALBUMSORT> | Title sort of the album.
AlbumArtist | Text | 100 characters | <ALBUM_ARTIST> | Album artist name.
AlbumArtistSort | Text | 102 characters | <ALBUM_ARTISTSORT> | Album artist sort.
AlbumYear | Text | 30 characters | <ALBUM_YEAR> | Release year of the album.
AlbumGenre | Text | 100 characters | <ALBUM_GENRE> | Album genre.
Cover | Text | 255 characters | <ALBUM_COVER> | Full path of the cover image file.
Media | Text | 50 characters | <ALBUM_MEDIA> | Media type of the album.
CatalogNo | Text | 50 characters | <ALBUM_CATNO> | Catalog number.
ReferenceNo | Text | 50 characters | <ALBUM_REFNO> | Reference number.
AlbumComposer | Text | 100 characters | <ALBUM_COMPOSER> | Album composer.
AlbumComposerSort | Text | 102 characters | <ALBUM_COMPOSERSORT> | Album composer sort.


Support Tables

Support tables are the tables that contains the miscellaneous information which can be selected fron the dropdown list boxes, such as artist, composer, media, label etc. New item are added to the tables automatically when it is entered from the dropdown list box. You can also add or remove items through the "Edit Table" windows.


The Menus


File

The "File" Menu
New Database | Creates and opens a new database.
Open Database | Opens a new database.
Save As | Saves the current database to a copy.
Upgrade Database | Launches the Database Upgrade Utility, allows you to convert old Music Library databases.
Im port | Opens the "Import Wizard", allows you to import text and other database formats.
Ex port/Wizard | Opens the "Export Database" wizard. Allows you to export your database to Excel or text file.
Ex port/CDPLAYER.INI | Exports all/selected albums to CDPLAYER.ini.
Database Properties | Opens the "Database Properties" window and shows database summaries.
Report/Print | Opens the report window, allows you to create and print reports.
Exit | Closes and exits Music Library.


Edit

The "Edit" Menu
Copy to... | Copies the selected files to a folder.
Move to... | Moves selected files to a folder.
Move to Designated Folders(s) | Move selected files to predefined folders, if folder does not exist, this function will create it automatically base on the format you selected.
Rename | Loads selected files into Tag and Rename Utility.
Delete | Deletes the selected folder from database in "Folder Tree" pane or delete selected files in "File List".
New Folder | Creates a new folder under the selected folder in "Folder Tree" .
Edit Tag and Field... | Loads selected files into Tag and Rename Utility.
CDDB Lookup | Lookup CDDB database for ID3 tag information, also edits and renames files.
Remove Record | Removes records of selected files in "File List".
Check Out Folder | Opens the "Check Out Folder" window, allows you to transfer records of the selected folder to a removable disk, so you don't have to rescan the disk to add to the database.
Rate Tracks | Opens the "Rate Tracks" window.
Edit Disk Label | Allows you to edit selected removable disk's label.
Edit Field | Opens the "Edit Field" window, allows you to edit single field in selected files.
Select All | Selects all files in "File List".
Invert Selection | Inverts the selected status in "File List".


MP3

The "MP3" Menu
Add Volume | Brings up the "Browse for folder" window. Scans selected drive or folder for MP3 or other audio files and add to your database.
Add Playlist \ Search Hard Drives | Scans all hard drives for playlists files (".m3u") and add to your database. All playlists will be listed under the "My playlists" node in the "Folder Tree".
Add Playlist \ Manual | Allows you to manually select a playlist file to add to your database.
Update (Selected) | Updates selected folder or drive.
Update (Recursive) | Updates selected folder or drive and subfolders.
Update All | Updates your hard drives and network drives (if any connected) with a single mouse click.
Add Album to Audio Database | Adds the selected album to audio database.
Enqueue Selected | Loads selected files into Winamp's internal playlist.
Play Selected | Plays selected files.
Properties | Allows you to view folder properties when a folder is selected in "Folder Tree" or a file's properties when a file is selected in "File List".


Audio

The "Audio" Menu
Add Album | Opens the Album Info Editor window. Allows you to scan audio CDs and query CDDB database or to enter albums in other media format.
Edit Album | Brings up the selected album in Album Info Editor window. Allows you to edit and update an existing album in the audio database. You must switch to "Album Title" or "Artist (Album) - Album Title" view in order to select and edit an album.
Delete Album | Deletes the selected album from your database. You must switch to "Album Title" or "Artist (Album) - Album Title" view in order to select and delete an album.
Clone Album | Creates a copy of the selected album.
Global Update MP3 Link | Adds MP3 files to the MP3 link field in audio tracks (match by artist and title).
Check CDDB Status | Adds the marked albums in "Batch Mode" window, allows you to check previous nonexistent albums.
CD Player | Launches the Music Library CD Player .
Properties | Allows you to show information of the selected album. You must switch to "Album Title" or "Artist (Album) - Album Title" view in order to select an album.


Playlist

The "Playlist" Menu
Open | Allows you to select and open a playlist file and list it in the Playlist Layout .
New | Clears the Playlist Layout and allows you to compose a new playlist.
Playlist Generator | Brings up the "Playlist Generator" window. Allows you to save current playlist layout to ".m3u" files.
Add Selected | Adds selected files (in "File List" ) to current playlist layout.
Add All | Adds all files listed (in "File List" ) to current playlist layout.
Recurse Folder | Adds all files in selected folder including sub folders (in "Folder Tree") to current playlist layout.
Recurse My Hard Drives | Adds all files on your hard drives to current playlist layout.
Clear Playlist | Deletes all playlists from your hard drives and removes them from the database.
Delete Playlist | Deletes selected playlist from your hard drive and database.


View

The "View" Menu
Detail Browser | Show or hide the "Detail Browser" pane.
Playlist Layout | Show or hide the "Playlist Layout" pane.
Address Bar | Show or hide the "Address" bar.
Quick Search Bar | Show or hide the "Quick Search" Panel.
MP3 Player Control Panel | Show or hide the "Player Control" Panel.
Explorer Tabs | Show or hide the "MP3 Explorer" and "Audio Explorer" tabs.
Audio Track View | Switch to track view in "Audio Explorer".
Audio Album View | Switch to album view in "Audio Explorer".
Customize Treeview | Opens the "Custom Sort" window, allows you to create your own sort in treeview.
Customize Columns and Sort | Opens the "Listview" columns window, allows you to select/remove columns and set the sort order of the listview.
Collapse | Collapses all nodes except drive nodes.
Expand All | Expends all nodes in "Folder Tree".
Show ID3v2 Status | Shows the ID3v2 status in File List.
Show MP3s Only | When checked, only MP3 files will be displayed.
Refresh | Refreshes the "File List" .


Go

The "Go" Menu
Up One Level | Go to the parent node of the selected node in treeview.
Go to Folder | Go to the folder where the selected file is in.
Explore Folder | Opens folder in windows explorer.


Bookmark

The "Go" Menu
Bookmark | Bookmarks the selected folder.
Clear | Clears all current bookmarks.


Search

The "Search" Menu
Simple Search | Opens the "Simple Search" winsow.
Advanced Search | Opens the "Advanced Search" winsow.
Global Search | Opens the "Global Search" window, allows you to search both MP3 and Audio database.
Find Duplicates | Opens the "Find Duplicates" winsow.
Find | Searches the treeview or listview whichever has the focus.
Find Next | Find the next match after "Find".
CDDB Mini Browser | Opens the "CDDB Mini Browser" winsow.
Search the Web | Search artist on the web.


Tools

The "Tools" Menu
Publishing \ MP3 Text Report | Opens the "Text Report" wizard, allows you to create reports in ASCII text format for MP3 database.
Publishing \ MP3 HTML Report | Opens the "HTML Report" wizard, allows you to create reports in HTML format for MP3 database.
Publishing \ Audio Report | Opens the "Audio Report" wizard, allows you to create reports in ASCII text format for Audio database.
Compose CD | Opens the Audio CD Composer window. allows you to select mp3 files to compose audio CDs.
Update Scheduler | Opens the Update Scheduler window. Allows you to set date and time to update the MP3 database automatically.
Edit Support Tables | Opens the "Edit Table" window. Allows you to modify selection tables.
Edit Media Table | Opens the "Edit Media Table" window. Allows you to edit the media table and assign icons.
Artist Lookup | Opens the "Artist Info Lookup" window. Allows you to add or modify artist information.
Composer Lookup | Opens the "Composer Info Lookup "window. Allows you to add or modify composer information.
Copy Records to... | Copys the selected MP3 file(s) or audio album(s) to a selected database.
Move Records to... | Moves the selected MP3 file(s) or audio album(s) to a selected database.
Lyric Database Maintenance | Opens the Lyric Database Maintenance window. Allows you to browse and edit the lyric database.
Global Replace | Opens the "Global Replace" window. Allows you to replace fields with new values globally.
SQL ... | Opens the SQL query window, allows you to select, update and delete records.
Compare MP3 Database | Compares a database to current database and display the difference in playlist layout pane.
Merge Database | Opens the "Merge Database" window. Allows you to append a existing database to current open database.
Compact Database | Compacts the current database. Reduces database size if you have a lot of deleted records in the database.
Repair Database | Repairs corrupted database.
Preferences | Opens the Preferences window. Allows you to set program preferences.


Control

The "Control" Menu

Remote controls for Winamp.

Play | Plays the internal playlist in WinAmp.
Stop | Stops the player.
Pause | Pauses the player
Previous | Plays the previous track.
Next | Plays the next track.
Fade Out | Exits Winamp


Help

The "Help" Menu
Contents ... | Opens the Music Library Help file.
Check for Updates | Launches your browser to Music Library website.
Music Library Forum | Launches your browser to Music Library discussion board.
CDDB The #1 CD Info Source | Go to CDDB website
How to Order | Shows help topic on how to order Music Library.
Order Online Now! | Go to the Music Library online order site.
Music Library Order Form | Displays the Music Library Order Form.
Registration | Opens the Music Library Registration window where you can enter you registration key.
About ... | Opens the the About box.


Tag and Field Editor

Tag and Rename Utility

See also TAG Mode , Rename Mode, Edit ID3 Tags and Database Fields, Rename Files

With the Tag and Rename Utility you can batch rename and tag your files. On the upper left side of the window is the "ID3 Tag and database field" viewer where you can modify the ID3 fields of the files. On the right side is the TAG/Rename tab where you can switch between the TAG or Rename modes. On the bottom is the Preview list box where you can preview the result.

The Toolbar buttons:

TAG | Writes ID3 tags to all files and updates the database.
T & R | Writes ID3 tags and renames the files using current template.
Del Tag | Deletes id3 tags in all files.
Del Field | Clears all fields in all files.
N -> T | Opens the "Filename to Tag Template" window, allows you to create new templates.
Rename | Renames the files.
Undo | Undo rename.
T -> N | Opens the "TAG to Filename" window, allows you to create new templates.
Reset | Reloads all files.
WWW | Allows you to perform artist search on popular web sites such as amazon.com for album info, cover image etc.
Help | Shows help topic on "Tag and Rename Utility".
Exit | Closes and exits "Tag and Rename Utility".

The Option buttons:

Apply to all | When this option is selected, all changes are done to all files in the list.
Apply to selected | Select this option if you only want to make changes to certain files.


Rename Utility

Rename Mode

  • Manual Edit Filename
  • Rename Functions
  • TAG to Filename Template


Manual Edit Filename

To edit a filename manually, select the file from the list. The modify the filename in the "Filename" text box.


Rename Functions

Rename Fuctions

The rename functions can help you to manipulate the filenames. Sometimes it's faster to use these functions than the template method.

The "Replace" Button

The "Replace" functions allow you to replace string in file names with the string you defined. To apply this function, enter strings in corresponding text boxes, select the "All Occurrences" menu to replace all occurrences, select "First Occurrence" menu to replace the first occurrence.

The "Insert / Trim" Button

  • Replace with Space: Trims specified string and replace them with spaces.
  • Trim: Trims Trims specified string.
  • Insert Text : Inserts string at specified location. To specify location, select a file then in the "Filename" text box, click on the location you want to insert.

The "Trim Location" Buttons

  • Trim Left : Trims filenames from the beginning at the specified location.
  • Trim Right: Trims filenames from the end at the specified location.

To specify location, select a file then in the "Filename" text box, click on the location you want to insert.

Other Functions

  • Lowercase: Sets all file names to lowercase.
  • Uppercase: Sets all file names to uppercase.
  • Capitalize: Capitalizes all file names.
  • Artist<=>Title: Swaps artist and title if file name is in "Artist - Title" format.
  • Trim Numbers: Trims all numerical characters in file names.
  • Auto: Applys predefined functions. You may select functions to perform in "Preferences".
  • Settings...: Opens the "Preferences" window, allows you to set rename options and select functions for "Auto" button.


TAG to Filename Template

The "TAG to Filename Template" is a format that can be used to create new filenames. The program can create new filenames using the ID3 tag (and some other fields) information base on the format you defined.

To apply a template to the filenames, simply select a format from the "Template" dropdown list, then press the "Apply" button next to it.

To create a new template, press the "T - N" toolbar button to open the "TAG to Filename Template" window. Click on the buttons on top to add corresponding fields to the template, the new file preview is shown in the "Filename" box. When done, press the "OK" button the set the template.

You can only use the following keywords to represent field names:

%Artist = artist field
%Title = title field
%Album = album field
%Genre = genre field
%Year = year field
%Track = track number field
%Comment = comment field
%aArtist = album artist field
%Bitrate = bitrate of the file

The following example will give you a pretty good idea how it works:

Album Artist: Various Artists

Artist: Culture Club

Album: Greatest Hits of The 80's, Vol 2

Title: Karma Chameleon

Track: 06

Example #1:

Template: %Artist - %Title

New filename: Culture Club - Karma Chameleon.mp3

Example #2:

Template: (%Track) %Artist - %Title

New filename: (06) Culture Club - Karma Chameleon.mp3

Example #3:

Template: %aArtist - %Album - %Track - %Title - %Artist

New filename: Various Artists - Greatest Hits of The 80's, Vol 2 - 06 - Karma Chameleon - Culture Club.mp3


ID3 TAG

TAG Mode

  • Manual Input
  • TAG Functions
  • Filename to TAG Template


Manual Input

Enter text in the "ID3 TAG and Database Fields" frame will update the corresponding columns in the list. You may also use the "Arrow" buttons to set the columns.


Basic Functions

TAG Functions:

These functions are very handy sometimes:

Common Filename

If file names are in format like: Artist - Album - Track - Title.mp3. (All fields separated by " - "). Apply this option will parse the filenames and place fields into different columns. Fields might not be placed in the corresponding columns depends on the order in filename.

Default Track #

Fill the Track field with track numbers using the default order (Starts from 01)

Proper Case

Capitalize all fields.

Artist <=> Title

Swaps items in Artist and Title columns.

Title <=> Album

Swaps items in Title and Album columns.

Album <=> Track

Swaps items in Album and Track columns.

Format "The", "A", "An"

Places the words "The", "An", "A" to the end. Applies to the "Title", "Artist", "Album Artist", "Album" fields. (e.g. The Rolling Stones > Rolling Stones, The)

Other Options:

Update fields in filenames only

If this option is enabled, when using the template method, the program only update the columns that exist in the filenames. For example, if the filename only contains artist and title information, enable this option will prevent overwriting the existing information (such as album, genre, etc.).

Treat underscore as space

If the filenames contain underscores, when enable this option, the program will consider them as spaces. So when using the template method, the underscores will not appear in the fields.

Auto format "The", "An", "A"

Automatically applies the "Format The, An, A" function when you make changes the the fields.


Filename to TAG Template

Music Library can retrieve tag information from the filenames and folder names. With the "Filename to TAG Template", you can tell the parser where the information is located in the filenames.

To execute a template, simply select a template from the dropdown list, then press the "Apply" button.

To create a new template, press the "N -> T" toolbar button to open the "Filename to TAG Template" window. The full path of the file (without the drive letter) is shown in the "Filename" box. Simply replace the actual information with the field keywords in the "Template" box, please use the buttons on top to avoid typing errors.

Rules:

The drive letters are automatically stripped from the filenames. When a \ is present in the template, the program will consider that you want to include the path information. Otherwise, it will only perform actions on filenames alone. When creating templates, simply replace the actual text with the field keywords provided. Select %Ignore if the Information doesn't apply to any of the fields. Select %Append to add to previous field. The characters that separate each field in filenames are called separators. Generally, spaces are not considered as separators, a space can be used as separator only when 1) it's between the first two words in the filename and the first word is a field (example #3), 2) the field before the space contains only one word and is separated on the other side (example #4).

Field Keywords:

%Artist = artist field
%Title = title field
%Album = album field
%Genre = genre field
%Year = year field
%Track = track number field
%Comment = comment field
%aArtist = album artist field
%Append = append to the previous field (used when ambiguous separators are encountered, see example #5)
%Ignore = the information does not apply to any of the above fields and will be ignored.

Examples:

--------------------------------------- Example #1 ---------------------------------------

Filename: \download\U2 - The Joshua Tree - 09 - One Tree Hill

Template: %Artist - %Album - %Track - %Title(The template does not contain a '\' therefore the program will parse the filename only)

--------------------------------------- Example #2 ---------------------------------------

Filename: \download\U2 - The Joshua Tree\09 - One Tree Hill

Template: \%Ignore\%Artist - %Album\%Track - %Title

(\ is used so the program will parse the file path also. 'download' is the parent folder it does not apply to any fields, so it's ignored.)

--------------------------------------- Example #3 ---------------------------------------

Filename: \download\09 U2 - The Joshua Tree - One Tree Hill

Template: %Track %Artist - %Album - %Title

('09' is the track # field, it's the first word and the only word, therefore the space can be used as a separator in this case.)

--------------------------------------- Example #4 ---------------------------------------

Filename: \download\U2 - The Joshua Tree - 09 One Tree Hill

Template: %Track %Artist - %Album - %Title

(09 is the track # field, it contains only one word and is separated by" - " on the other side, therefore the space can be used as a separator in this case.)

--------------------------------------- Example #5 ---------------------------------------

Filename: \download\Various Artists - Guitar Rock 1974 - 1975 - 02 - Slow Ride - Foghat

Template: %aArtist - %Album - %Append - %Track - %Title - %Artist

All separators in this filename are the same (' - '), it also exists inside the album field 'Guitar Rock 1974 - 1975'. %Append is used here to preserve the word '1975', otherwise '1975' will be considered as 'Track' and 'Slow Ride - Foghat' will be considered as 'Artist'.


Album Info Editor

The "Album Info Editor" allows you to add albums to the database or edit an existing album. You can actually catalog any music media you have. Music Library is a CDDB2 (The newest enhanced CDDB service) enabled program, You can retrieve all most all information about a CD (Internet connection is required). No more typing! You can even catalog your home made CDs. All you need to do is open the playlist you create the CD from.

Related Topics:

Toolbar and Menus

Disc TOC

CDDB Batch Mode

Loan

See Also:

Add New Album

Edit Album

Search CDDB Website

Read Disc Option

Submit to CDDB


Toolbar and Menus

The Toolbar buttons:
New | Starts a new album.
Save | Saves current album.
Setup | Opens "Preferences" window, allows you to set CDDB scan options.
TOC | Calculates the TOC of a disc.
Disc Info | Queries CDDB for disc information.
Add | Opens the "Add Track" window, allows you to add tracks to the album manually.
Edit | Opens the "Edit Track" window, allows you to edit the selected track.
Eject | Opens CD door.
Close | Closes CD door.
Sites | Allows you to search Artist info on selected sites.
First | Go to the first album.
Prev | Go to the previous album.
Next | Go to the next album.
Last | Go to the last album.
Exit | Closes and exits the "Album Info Editor".

Album Menu:
New Album | Starts a new album.
Save Album | Saves current album.
Save & Exit | Saves current album and exits Album Info Editor.
Exit | Exits Album Info Editor.

Track Menu:
Add | Opens the "Add Track" window, allows you to add tracks to the album manually.
Delete | Deletes the selected tracks.
Edit | Opens the "Edit Track" window, allows you to edit the selected track.
Clear | Clears all tracks.
Unmark All | Unmarks all tracks in the track list.
Parse Title (Artist/Title) | Gets track artist from title if the artist is in the title field.
Artist <-> Title | Swaps Artist and Title columns.
Parse Title (Composer/Title) | Gets track composer from title if the compser is in the title field.
Composer <-> Title | Swaps Composer and Title columns.
Title -> Title Sort | Copies the "Title" column to the "Title Sort" column.
Title Sort -> Title | Copies the "Title Sort" column to the "Title" column.
Move Up | Moves the selected track up one row.
Move Down | Moves the selected track down one row.
Select All | Select all tracks in the track list.
Invert Selection | Reverses the selected status in track list.

CDDB Menu:
Get Disc TOC | Calculates the TOC of a disc.
Disc Info | Queries CDDB for disc information.
Update Disc Info | Queries CDDB for new information on current CD.
Batch Mode | Opens "CDDB Batch Mode" window.
Submit Disc | Opens the "CDDB Disc Information" window. Allows you to submit disc to CDDB.
Register | Opens CDDB registration window. Allows you to register CDDB service.

Tools Menu:
Use Proper Case | Capitalize all fields
Eject | Opens CD door.
Close | Closes CD door.
Read Disc | Gets basic information of the disc, such as track time and track number.
Update Track Time | Updates track times of the album.
Import MP3 Playlist | Creates an albumusing a mp3 playlist file. (If you have the playlist file that you create the CD from)
Import Audio Playlist | Creates an album using an audio playlist file.
Get Tracks from Playlist | Creates an album using the tracks in the audio playlist pane in main window.
Artist Lookup | Opens the "Artist Lookup" window, allows you to view or artist info.
Edit Table | Opens the "Edit Support Table" window.
Edit User Genre | Opens the "User-defined Genre" widow, allows you to add your own genres.
Search CDDB | Searches CDDB website for album information.
Sites | Allows you to search Artist info on selected sites.


Disc TOC

TOC stands for "Table of Contents", the list of song lengths stored in the disc itself. Represented by a long string of numbers.

You must successfully calculate a disc's TOC in order to query the CDDB database, it's the disc ID used by CDDB.

To calculate a disc's TOC, insert the disc. Click on the "TOC" toolbar button in "Album Info Editor". If the scan is successful, you should see it in the "Disc TOC" box.


CDDB Batch Mode

The "CDDB Batch Mode" allows you to scan your discs for "TOC" first and download the information all together.

To add a disc to the batch, insert the disc and hit the "Add" button, you will see the TOC listed in the list box. When the "Auto detect and eject" option is enabled, the program will constantly look for disc in the CD drive and try to retrieve the disc's TOC. Every time you insert a CD, it will calculate the TOC and eject the disc automatically.

You may save the batch to a text file for later download. Click on the "Start" button to start the download.


Full Auto Mode

The full auto mode is very handy when you have a lot of CDs to enter. To enable full auto mode, check to "Enable full auto mode" checkbox. Once the box is checked, the program will check the CD drive, if there is a CD, it will perform the following: read disc, calculate TOC, query CDDB, save album if the query is successful then eject the disc. All you need to do is feed the CDs one by one.


Loan

Loan Tracking

The loan Tracking feature lets you where and who you lend your albums to.

To enter loan info of an album, open the album in Album Info Editor . Select the "Library" tab. Enter the person's information in the "Loan Status" frame and click the "Loan" button to loan the album.

To return an album, simply click on the "Return" button to erase the record.

To view all albums on loan, click on the "Show" button.


CDDB Lookup

"CDDB Lookup is a unique feature of Music Library. The "CDDB Lookup" window allows you to search for album and track information on CDDB's website.

The Toolbar buttons:

Play | Plays the current file.
Edit Track | Updates tag and fields of selected file.
Edit Album | Updates tags and fields of the album.
Add | Enabled when search in "Album Info Editor". Adds the selected track to album layout.
Disc Info | Queries CDDB database for album info.
Audio | Get track info from the audio database.
Search | Starts the search.
More | Shows the next 10 matches.
Stop | Cancels the search.
Reload | Reloads all files.
Exit | Exits and closes the CDDB Lookup window.

Related Topics:

Use CDDB Lookup for Audio

Use CDDB Lookup for MP3

MP3 Wanted Tracks


Use CDDB Lookup for Audio

For records not in CD format, it's impossible to query CDDB database directly (i.e. use Disc Info). Luckily, most likely the album information exists in CDDB database. In such case, you may use the CDDB Lookup function to search for album information.

To use this function:

  1. Open "Album Info Editor", start a new album.
  2. In the "Album Info" section, enter the artist name and album title.
  3. From menu, select Tools -> Search CDDB. The "Search CDDB" window will open and search starts.
  4. Matched albums are listed in the "Matched Albums" list. Select an album to list all tracks.
  5. Press the "Add" toolbar button to enter the information into "Album Info Editor".

Note:

This function only returns track titles and track numbers. You still need to manually enter rest of the information.


Use CDDB Lookup for MP3

CDDB Lookup is the best way to get ID3 tag information for MP3s.

If you are editing an album,

  1. Select all files in the album from "File List" in main window, select Search -> CDDB Lookup to open the "CDDB Search" window.
  2. In "CDDB Search" window, select a track from the "File List" box. The "Artist", "Album", "Title" box in "Track Info" section should be filled if information exists in the file. If not, enter the information manually. You need at least one of the above fields to perform the search.
  3. Press the "Disc Info" or "Search" toolbar button to start the search. Matched album will be listed in the "Matched Albums" box. (See below for explanation of the difference between "Disc Info" and "Search").
  4. Select the correct album to list all tracks.
  5. Check the "Enable Album Mode" option. If tracks are in the exact order in "Track List", select "Match Order", otherwise select "Match Title".
  6. Press the "Edit Album" toolbar button to update all files.

If you are editing individual tracks,

The search procedure is the same as above. To update, highlight track in "File List" then select the match track in "Track List". Press "Edit Track" toolbar button to update the track information.

Note:

Disc Info is similar to the "Disc Info" for audio albums. It uses the functionality provided by the "CDDBControl.dll" and queries the database directly. Advantage is it returns more accurate results and returns "Year" if it exists in the database, the disavantage is you must have at least some information in the id3 tag or file name.

Search is more like a web browser, it searches the CDDB website instead of the database, you can enter information to search even when information does not exist in file name or id3 tag. The disavantage is it does not return "Year".


MP3 Wanted Tracks

The "CDDB Lookup" window also allows you to add "wanted" tracks to the database. For example, if you have a missing track in the album, select the track in the lower left box and give it a virtual file name (the default is "artist - title.mp3") and click on the "Add to wanted list" button. A virtual folder called "Wanted Tracks" will be created under the drive letter "C". All missing tracks are listed under this folder.


Audio CD Composer

The Music Library Audio CD Composer can help you compose MP3 playlists when you need to select MP3 files to create audio CDs.

To open the "Audio CD Composer" window, choose Tools -> Audio CD Composer.

Related Topics:

File Selection

CD Layout


File Selection

The "File Selection" box is the upper list box in the "Audio CD Composer" window. To add files to your CD layout you need to select files for the "File Selection" box first. There are four options the get files:

Option 1: Open a Playlist

In the "Open a Playlist" frame, click on the "folder" button to select a playlist file. The files will be displayed in the "File Selection" box.

Option 2: Get this folder

Click on the "folder" button to select a folder, all files in the selected folder including subfolders will be displayed in the "File Selection" box.

Option 3: Search database for songs

This option works just like the "Quick Search" in the main window. Search results will be displayed in the "File Selection" box.

Option 4: Search by Rating

Allows you to locate files by their ratings.

Command Buttons

"Add" - Adds the selected files to the CD Layout.

"Crop" - Removes the unselected files in "File Selection" box.

"Delete" - Removes the selected files in "File Selection" box.

"Clear" - Removes all files files in "File Selection" box.


CD Layout

The "CD Layout" box displays tracks in you layout. When tracks are added, total time, time available and number of tracks are updated in the status panels on the bottom of the window. Two seconds is added in between tracks. The available time is calculated base on 74 minutes CDs.

Command Buttons

"Up" - Moves the selected track(s) up one slot.

"Down" - Moves the selected track(s) down one slot.

"Delete" - Removes the selected track(s).

"Clear" - Removes all files in your layout.

"Save" - Saves the layout to a playlist file.

"Copy" - Allows you to copy the files to a folder.

How to create Audio CDs from MP3s?

There are many programs on the market that can create audio CDs directly from MP3s. If you don't have such program, you can still use regular CD burning programs to create audio CDs. To do that, all you need to do is covert the MP3 file to wavs. Players such as WinAmp has a function that allows you to output files to "wav". Simply select the output option in your player and play the play the playlist created with "Audio CD Composer".


The Lyric Database Maintenance

The Lyric Database Maintenance Window

The "Lyric Database Maintenance" window allows you to view and edit your lyric database. The lyric database works with both MP3 and Audio database. The association is determined by artist name and track title (case sensitive). Every time you open a track property window, Music Library will search the lyric database for selected track's artist and title. If match found, lyric will be displayed in the track property window.

To add a track to the database, enter artist name in the "Artist" box and title in the "Title" box. Type in or paste text into the bottom text box. Click on the "Add" button in toolbar to add the track to database.

Related Topic:

Associate Lyrics to MP3 Files

Associate Lyrics to Audio Tracks


Associate Lyrics to MP3 Files

Select a file in "File List" pane, from menu select MP3 -> Properties to open the Properties window. Select the "Lyric" tab. Type in or paste lyric text into the text box. Click the "Update" button to save the information. Next the you open the file properties window, lyric will be displayed in the lyric text box.


Associate Lyrics to Audio Tracks

Select a track in "Track List" pane, right click on the "Track List" to open the popup menu. Select Edit to open the "Edit Track" window. Select the "Lyric" tab. Type in or paste lyric text into the text box. Click the "Update" button to save the information. Next the you open the "Edit Track" window, lyric will be displayed in the lyric text box.


Search Database


Quick Lookup

See also Quick Search, Simple Search, Advanced Search, Global Search, SQL

The "Quick Lookup" is located on the toolbar of the main window. It provides user a way to lookup tracks alphabetically.

  1. Click on the "Arrow" button to select the field that you want to search.
  2. Press the letter to list tracks / albums alphabetically.


Quick Search

See also Quick Lookup, Simple Search, Advanced Search, Global Search, SQL

"Quick Search" located on the toolbar of the main window, it provides user a fast way to search a single field in the database without having to open the search window.

  1. Enter string or keywords to search. (Right text box)
  2. Select an operator. (Middle dropdown list box)
  3. Select a field. (Left dropdown list box)
  4. Press the Search button to start the search.

Note:

You may search multiple keywords at the same time, use commas to separate the keywords.


Simple Search

See also Quick Lookup, Quick Search, Advanced Search, Global Search, SQL

"Simple Search" provides user a way to search multiple fields in the database.

  1. From menu, select Search -> Simple Search to open the search window.
  2. Enter search string or keywords. select options from the option tabs.
  3. Select a field level operator and a keyword level operator (if you are searching for multiple keywords).
  4. Press the "Search" button to start the search. Results are displayed in the main window.

Field Level Operators:

OR - if any of selected field contains the search string or keywords will be considered as a match.

AND - all selected fields must contain the search string or keyword.

NOT - the opposite of the "AND" operator.

Keyword Level Operators:

OR - if any of keywords exists in the search field, it will be considered as a match.

AND - all keywords must exist in the search field.

NOT - the opposite of the "AND" operator.

Note:

  1. To perform multiple keyword search, separate the keywords using commas.
  2. You may perform condition search only in the MP3 database. Check the "Condition search only" checkbox, the search string or keywords are ignored.


Advanced Search

See also Quick Lookup, Quick Search, Simple Search, Global Search, SQL

"Advanced Search" is actually a SQL query string builder. You can even save the string for later use. Basic knowledge of SQL is required.

  1. Select Search -> Advanced Search from menu to open the search window.
  2. Click on the "Add" button to add fields.
  3. Click on the "View" button to view the final query string.
  4. Click the "Search" toolbar button to start the search.
  5. To save the script, click on the "Save Script" toolbar button.

Tip

You can modify the SQL statement to perform advanced search, any valid SQL keywords and Visual Basic functions can be used. However, the modified search statement will not be saved.


Global Search

See also Quick Lookup, Quick Search, Simple Search, Advanced Search, SQL

With Global Search, you can perform search on both MP3 and audio database. The search results are read-only, you can't edit the tracks in the Global Search window, but you can mark the search results.

Enter a search string, select a field then press the "Search" button to start the search. The program will search the MP3 table then the AudioTrack table, results are listed in the list box with different icons.


Find Duplicates

The "Find Duplicates" function can help you to find duplicate MP3 files in your collection.

  1. From menu, select Search -> Find Duplicates to open the "Find Duplicates" window.
  2. Select a location in "Find in" box.
  3. Select a criteria in "Determine by" box.
  4. Click the "Search" button to start the search.


Global Replace

The "Global Replace" functions allow you to modify certain fields in your entire database. It's strongly recommended that you make a backup copy of the database before applying any of the functions. There is no "Undo" for these functions. It's provided on "You know what you are doing" bases.

Select Tools -> Global Replace from menu to open the "Global Replace" window.

Update Image Path

Update Drive Letter

Replace Field Value

Copy Field Value


Update Image Path

The "Update Image Path" function allows you to change the associated image path in your database. It only applies to users who keep all their images in the same folder. Both MP3 and Audio database will be updated.

Simply select a new path and click the "Update" button to update the database.


Update Drive Letter

The "Update Drive Letter" function allows you to update drive letter associated in your database. From time to time, drive letter on your system might get changed. You must change your database accordingly in order to display drive and folder correctly.

Example:

My CD ROM used to be drive "D:", now it's changed to drive "F:". To update date the database:

  1. In main widow, select Tools -> Global Replace from menu to open the "Global Replace" window.
  2. In "Global Replace" window, press the "Update Drive Letter" button.
  3. Select "D:" as "Old drive letter", select "F:" as "New drive letter".
  4. Click on "Update" button to update the database.
  5. Close "Global Replace" window.
  6. In main window, re select "Drive \ Folder" in the view selection dropdown list.


Replace Field Value

The "Replace Field Value" function allows you to modify an entire field or to replace a certain value in an entire field. The following examples will give you an idea what you can do with this function.

Example 1:

If you want to set "AlbumGenre" field in the entire MP3 database to "Rock".

  1. Select "Replace Field Value" button.
  2. Select "MP3" from the "Select a table" dropdown list.
  3. Select "AlbumGenre" from the "Select a field" dropdown list.
  4. Leave "Value to replace" empty. (By default, empty means all records)
  5. Enter "Rock" in "New value" box.
  6. Click on "Update" to update the database.

Example 2:

If you want to change the "Artist" field with value of "Jackson Browne" to "Browne, Jackson" in the entire MP3 database.

  1. Select "Replace Field Value" button.
  2. Select "MP3" from the "Select a table" dropdown list.
  3. Select "Artist" from the "Select a field" dropdown list.
  4. Enter "Jackson Browne" in "Value to replace".
  5. Enter "Browne, Jackson" in "New value" box.
  6. Click on "Update" to update the database.

Example 3:

If you want to erase the "Comment" field in the entire MP3 database.

  1. Select "Replace Field Value" button.
  2. Select "MP3" from the "Select a table" dropdown list.
  3. Select "Comment" from the "Select a field" dropdown list.
  4. Leave "Value to replace" empty.
  5. Leave "New value" empty.
  6. Click on "Update" to update the database.
Important!
It's very important that you understand the data type and size of the field you are trying to modify. For example: you can not write a 45 character long string to a field can only take 30 characters. Please see Database Structure for definition of data type and size.


Copy Field Value

The "Copy Field Value" function allows you to copy one filed to another in the entire database.

Example:

If you want to set all "AlbumYear" to "Year" in the "AudioTrack" table:

  1. Select "Copy Field Value" button.
  2. Select "AudioTrack" from "Table" dropdown list.
  3. Select "Year" as "Source field".
  4. Select "AlbumYear" as "Destination field.
  5. Click on the "Update" button to update the database.

Important!

It's very important that both selected fields have the same data type and size. For example, you can not copy "Comment" field to "Marked" field because "Marked" is a "True and False only" field. See Database Structure for definition for data type and size.


Preferences


General

General Settings

Select "General" to show general settings of the program.

Default Database

Click to select an database file to open at startup. Click on the checkbox to select a database.

Never confirm to save playlist and database

If checked, program will not remind you to save the playlist and database.

Compact database on exit

When records are removed from database, they are actually only marked as delete. To remove them permanently, you need to use the Compact Database function. Enable this option will compact the database every time you exit Music Library.

Enable artist auto fill

Enables the auto fill feature in the artist dropdown list boxes.

Enable auto search

Enables the "Auto search" feature in "Quick Search". The program will perform search while you type in the words. You may set a delay by entering a number of milliseconds. This option is not recommended for large database.

Update new files only

Enable this option to keep records of existing files when updating folders.

Auto eject disc

If checked, program will eject the disc when finish scan a CD.

Use default image file

This option only applies to user who keep albums in separate folders and keep cover files in the same folders. When program scans folders, it will attach the default image file to each file.

Get tag info from ID3v2 if exists

When scanning files, if ID3v2 tag exists, use v2 tag info instead of v1 tag.


Rename

Rename Options

Replace the following with spaces

Enter the characters you want to replace when perform auto rename. Each character must be separated by a comma. End the string with comma.

Lower case these word

Enter the words you want to keep in lowercase when perform auto rename. Separate each word by a comma.End the string with a comma.

Capitalized

Set first character of each word to uppercase.

Upper Case All

Set all words to uppercase.

Lower Case All

Set all words to lowercase.

Use ID3 Tag

When checked, program will use ID3 tag info to construct new file names base on the template you defined.

Replace " " with "_"

When checked, all spaces in file names will be padded with underscore instead.

Enable Rename log

Create a log file very time you perform the rename operation. Specify a path for the log file. The file name of the the log file is "rename.log".

If Duplicate filenames found

Tell the renamer what to do when duplicate names are found, applies to the "TAG and Rename Utility".


Device

Device Settings

Set mouse and keyboard preferences.


Display

Display Settings

Use Colored text

Show file status with different colors. Normal files are shown in black. click on the two boxes to set colors for nonexistent files and removable media.

Show only existent files

When selected, only file that exists will be shown.

Lock window update

Do not refresh screen until all operations are finished. (Increase speed)

Show toolbar caption

Show caption under toolbar buttons.

Use gray buttons

Show toolbar buttons in gray icons. This change will only take effect after you restart the program.

Remember view settings

If checked, program will remember view settings such as window size, location, pane layout etc.

When minimized frame

Select where to show the Music Library window when it's minimized.


File Type

Specify file types to catalog. Check the file types you want to scan. The default setting is MP3 only.


Listview Settings

Show Gridlines

Show gridlines in all listview boxes.

Show Checkboxes

Show checkboxes in main listviews.

Hide selection

If unchecked, when a control box looses it's focus, selected item will be highlighted in grey.

Save column order

You may rearrange column orders. If checked, the order will be remembered.

Auto adjust column width

Automatically adjust column width to the longest item with each column.

You may also choose fonts and select backgroud images for the listviews.


Proxy Settings

If you connect to the Internet through a proxy setting, you need to enter the settings here. Otherwise, this section should be left as it is.


Custom Fields

This section allows you to define available custom field names.


Player & Playlist

Default player

Aloows you to select a default player for MP3s.

Get info from database

When open a playlist file, reteive all detail information from the database.

Rescan files

When open a playlist, rescan the files for information.

File names only

When open a playlist, display filenames only.

Always append to current playlist

When open a playlist, keep current tracks in the Playlist Layout.

Check for duplicates

When adding tracks to the Playlist Layout, avoid adding duplicate tracks.

Never confirm to remove nonexistent files

If checked, program will not ask you whether you want to remove the nonexistent files when you add files to the playlist layout.


CDDB Scan

This section allows you to set CDDB scan options.

Default CD drive to use

Select a drive to scan audio CDs. You must place the disc in the selected drive in order to get a TOC.


File Operation

After moving or copying files

Keep current view - stays in current view only update the view.

Remove file from current view - remove the files that are moved.

Open destination folder - switch to the destination folder.

Do not update database after copying files

Do not add the copied files to database. (Sometimes you only want to copy the files temporarily)

New folder format

Determines where to move the files and how to create folders when the "Move to Designated folder(s)" option is used.


SQL

Also see MP3 table, AudioAlbum Table, AudioTrack Table

The SQL is the most powerful tool you can have to manipulate your database. You can do literally anything with it, such as select records (search), update and delete records. Music Library database is in MS Access format, any valid SQL keywords and Visual Basic functions can be used. You can save up to 10 statements.

  • To execute a SQL statement, enter the string in the dropdown box and press the "Execute" (first button from the right) button.
  • To save the statement for later use, press the "Save" (second button from the left) button (up to 10 statements can be saved).
  • To delete s saved statement, select the statement from the list and press "Delete" (second button from the right) button.

SQL Examples:

1. Check if there is any file names longer than 64 characters in a folder called "J:\Albums 01".

SELECT * FROM MP3 WHERE Path LIKE '*J:\Albums 01*' AND LEN (Name) > 64

Execute this statement will list all files with name longer than 64 characters, results are displayed in "File List". It's very similar to the "Advanced Search" function except you can do much more with it. You may also specify fields but you have to make sure the fields (columns) are displayed in "File List" or "Track List", otherwise you will get error when display the results.

2. Copy Artist field into UserDef1 in AudioTrack table.

UPDATE AudioTrack SET UserDef1 = Artist

Execute this statement will update the UserDef1 field with values in the Artist field. To specify an album, you can modify the statement as:

UPDATE AudioTrack SET UserDef1 = Artist WHERE Album = 'Unison' AND Artist = 'Celine Dion'

Execute this statement will only update the album "Celine Dion - Unison".

3. Update an album title.

UPDATE AudioTrack SET Album = 'Celine Dion - Unison' WHERE Album = 'Unison' AND Artist = 'Celine Dion'

UPDATE AudioAlbum SET Title = 'Celine Dion - Unison' WHERE Title = 'Unison' AND Artist = 'Celine Dion'

Execute these two statements will update the album title from "Unison" to "Celine Dion - Unison" in both AudioTrack and AudioAlbum table.

4. Delete records.

DELETE * FROM MP3 WHERE Marked = True

Execute this statement will delete all marked records in MP3 table.

Notes:

If search string contains apostrophes, you must replace them with double apostrophes. Otherwise you will get an error when executing the statement. Example, you will get error when executing this statement:SELECT * FROM MP3 WHERE Arist = ' Gilbert O'Sullivan'. You must use this statement instead: SELECT * FROM MP3 WHERE Arist = ' Gilbert O''Sullivan'


CD Player

Music Library CD Player

The Music Library CD Player is a stand alone fully featured CD Player. It not only plays CDs, but also displays detail information of what your listening to. Whenever you insert a CD, it will recognize the disc and query your database to retrieve disc information, automatically! It's still under development, more features will be added soon!

  • To display track information, you need to associate a database with the player. To do this, click on letter "O" in the upper left corner to bring up the option window, select a database that contains the disc information. Next time you run the player, every time you insert a disc it will detect the disc and display disc info automatically. If disc is not in the database, it will just display "Unknown" and "Track 01".

  • To enter or edit comment of a playing album, click on the "Album" icon to bring up the "Album Comment" window, click the "Update" button to update your database.

  • To enter or edit comment of a playing track, click on the "Track" icon to bring up the "Track Comment" window, click the "Update" button to update your database.

  • To refresh album and track info if you made changes to the playing album, simply click on the "Artist" icon.

  • To make it always on top, click on the letter "P" on the upper left corner of the display.

  • To continuously play a CD, click on the letter "C".

  • To play a specific track, click on the track number on top of the display.

  • To change time display, simply click on the playing time to toggle "Time elapsed", "Time remaining", "Total elapsed" or "Total remaining".

  • To view detail track info, click on the white arrow beside the logo (bottom right corner).

  • To view cover image, click on the left arrow beside the logo (bottom right corner).

  • To change to Control Bar mode, click on the "diamond" on upper right hand corner or simply double click on any empty area.

  • To reset to Normal mode, click on the "square" (second box from the right) or simply double click on any empty area on the bar.

  • To go to any location of the playing track, click on the location on the status bar. Or you can "drag" on the status bar and release at location you want to go to.

  • To control it form system tray when minimized, right click on the icon to bring up the menu.


Frequently Asked Questions

  1. Can I print reports with Music Library?
  2. Can I use MS Access to edit my database?
  3. Can I use my own genres?
  4. Why Music Library does not recognize my CD drive?
  5. My drive letter has changed, is there a way to change the drive letter in my database?

Can I print reports with Music Library?

Current version of Music Library does not have a print function. To print out you report, you can open the report in word processor such as Notepad and Wordpad and print the report with them.

Back to Top

Can I use MS Access to edit my database?

Yes. To open a ".dbd" file in Access, select File -> Open, in the "Open" window set "Files of Type" to "All Files (*.*)". Choose "NO" if you are asked to covert the database to a new format.

Back to Top

Can I use my own genres?

Yes. The genres in audio database are defined by CDDB. You may simply type in your own genre in Album Info Editor or "Edit Track" window. Please note the genre you created is not saved to the genre drop down box.

Back to Top

Why Music Library does not recognize my CD drive?

That's because you have multiple CD drives on your system. Go to the main window and select Tools from the pull down menu. Then select Preferences to bring up the Preferences window. In the "CDDB Scan" section, you'll find a drop down box "Default CD Drive to use". Select a drive as the default CD drive for scanning CDs. Click OK to save the setting.

Back to Top

My drive letter has changed, is there a way to change the drive letter in my database?

Yes. You can use the "Update Drive Letter" in "Global Replace". In main window, select Tools -> Global Replace.

Back to Top


FirstTopic

Music Library Help

(Version 1.8, April 2002)

Copyright © 1999-2002 WenSoftware. All rights reserved